Index: extensions/Media_Icon/admin.php
===================================================================
--- extensions/Media_Icon/admin.php	(revision 19352)
+++ extensions/Media_Icon/admin.php	(revision 19353)
@@ -31,4 +31,7 @@
                l10n('Advanced options'),
                $my_base_url.'&amp;tab=advanced');
+$tabsheet->add('help',
+               l10n('Help'),
+               $my_base_url.'&amp;tab=help');
 $tabsheet->select($page['tab']);
 $tabsheet->assign();
@@ -38,4 +41,7 @@
 		include_once(dirname(__FILE__).'/admin/admin_advanced.php');
 		break;
+	case 'help':
+		include_once(dirname(__FILE__).'/admin/admin_help.php');
+		break;
 	default:
 		include_once(dirname(__FILE__).'/admin/admin_general.php');
Index: extensions/Media_Icon/admin/admin.css
===================================================================
--- extensions/Media_Icon/admin/admin.css	(revision 19352)
+++ extensions/Media_Icon/admin/admin.css	(revision 19353)
@@ -19,2 +19,19 @@
 }
 
+#media_icon_admin_checkbox_left {
+	float: left;
+	width: 49%;
+	text-align: right;
+	padding-right: 1%;
+}
+
+#media_icon_admin_checkbox_right {
+	float: right;
+	width: 49%;
+	text-align: left;
+	padding-left: 1%;
+}
+
+.clear {
+	clear: both;
+}
Index: extensions/Media_Icon/admin/admin_general.tpl
===================================================================
--- extensions/Media_Icon/admin/admin_general.tpl	(revision 19352)
+++ extensions/Media_Icon/admin/admin_general.tpl	(revision 19353)
@@ -53,4 +53,25 @@
 		</select>
 	</p>
+	<p>
+		<label>{'Type of files you want to add an icon to:'|@translate}</label>
+	</p>
+	<p>
+		<div id="media_icon_admin_checkbox_left">
+			{'Youtube videos'|@translate} <input type="checkbox" name="media_icon_checkbox_youtube" value="1"><br />
+			{'Vimeo videos'|@translate} <input type="checkbox" name="media_icon_checkbox_vimeo" value="1"><br />
+			{'Dailymotion videos'|@translate} <input type="checkbox" name="media_icon_checkbox_dailymotion" value="1"><br />
+			{'Wideo videos'|@translate} <input type="checkbox" name="media_icon_checkbox_wideo" value="1"><br />
+			{'Wat videos'|@translate} <input type="checkbox" name="media_icon_checkbox_wat" value="1"><br />
+			{'Videos'|@translate} <input type="checkbox" name="media_icon_checkbox_video" value="1">
+		</div>
+		<div id="media_icon_admin_checkbox_right">
+			<input type="checkbox" name="media_icon_checkbox_music" value="1"> {'Musics'|@translate}<br />
+			<input type="checkbox" name="media_icon_checkbox_pdf" value="1"> {'pdf files'|@translate}<br />
+			<input type="checkbox" name="media_icon_checkbox_document" value="1"> {'Documents'|@translate}<br />
+			<input type="checkbox" name="media_icon_checkbox_spreadsheet" value="1"> {'Spreadsheets'|@translate}<br />
+			<input type="checkbox" name="media_icon_checkbox_presentation" value="1"> {'Presentations'|@translate}
+		</div>
+	</p>
+	<div class="clear"></div>
 	<p>{'Click on submit to see changes.'|@translate}</p>
 	</fieldset>
Index: extensions/Media_Icon/admin/admin_help.php
===================================================================
--- extensions/Media_Icon/admin/admin_help.php	(revision 19353)
+++ extensions/Media_Icon/admin/admin_help.php	(revision 19353)
@@ -0,0 +1,11 @@
+<?php
+//Add our template to the global template
+$template->set_filenames(
+	array(
+		'plugin_admin_content' => dirname(__FILE__).'/admin_help.tpl'
+	)
+);
+ 
+//Assign the template contents to ADMIN_CONTENT
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+?>
Index: extensions/Media_Icon/admin/admin_help.tpl
===================================================================
--- extensions/Media_Icon/admin/admin_help.tpl	(revision 19353)
+++ extensions/Media_Icon/admin/admin_help.tpl	(revision 19353)
@@ -0,0 +1,6 @@
+<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
+<input type="hidden" name="cmd" value="_s-xclick">
+<input type="hidden" name="hosted_button_id" value="H7JZMTE6MDB8U">
+<input type="image" src="https://www.paypalobjects.com/en_GB/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="PayPal  The safer, easier way to pay online.">
+<img alt="" border="0" src="https://www.paypalobjects.com/fr_FR/i/scr/pixel.gif" width="1" height="1">
+</form>
Index: extensions/Media_Icon/config_default.inc.php
===================================================================
--- extensions/Media_Icon/config_default.inc.php	(revision 19352)
+++ extensions/Media_Icon/config_default.inc.php	(revision 19353)
@@ -3,4 +3,17 @@
 $config_default_general = array(
 	'style' => 'logo',
+	'support' => array(
+		'youtube' => 1,
+		'vimeo' => 1,
+		'dailymotion' => 1,
+		'wideo' => 1,
+		'wat' => 1,
+		'video' => 1,
+		'music' => 1,
+		'pdf' => 1,
+		'document' => 1,
+		'spreadsheet' => 1,
+		'presentation' => 1,
+	),
 );
 $config_default_advanced = array(