Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 19355)
+++ /trunk/language/ca_ES/common.lang.php	(revision 19356)
@@ -59,25 +59,25 @@
 $lang['Close this window'] = 'Tanca aquesta finestra';
 $lang['Complete RSS feed (photos, comments)'] = 'Canal RSS complet (fotos, comentaris...)';
-$lang['Confirm Password'] = 'Confirmar clau d\'accés';
+$lang['Confirm Password'] = 'Confirmeu la clau d\'accés';
 $lang['Connection settings'] = 'Paràmetres de connexió';
 $lang['Login'] = 'Identificar-se';
-$lang['Contact webmaster'] = 'Contactar amb l\'administrador del web';
-$lang['Create a new account'] = 'Crear un nou compte d\'usuari';
+$lang['Contact webmaster'] = 'Contacteu amb l\'administrador del web';
+$lang['Create a new account'] = 'Crea un nou compte d\'usuari';
 $lang['Created on'] = 'Creada el';
 $lang['Creation date'] = 'Data de creació';
 $lang['Current password is wrong'] = 'La clau d\'accés actual és errònia';
 $lang['Dimensions'] = 'Dimensions';
-$lang['Display'] = 'Visualitzar';
+$lang['Display'] = 'Visualitza';
 $lang['Each listed rule must be satisfied.'] = 'S\'ha de satisfer cada regla llistada.';
 $lang['Email address'] = 'Correu electrònic';
-$lang['Enter your personnal informations'] = 'Introdueixi la seva informació personal';
+$lang['Enter your personnal informations'] = 'Introduïu la vostra informació personal';
 $lang['Error sending email'] = 'Error enviant el correu electrònic';
 $lang['File name'] = 'Nom d\'arxiu';
 $lang['File'] = 'Arxiu';
 $lang['Filesize'] = 'Mida';
-$lang['Filter and display'] = 'Aplicar filtre';
-$lang['Filter'] = 'Filtrar';
-$lang['Forgot your password?'] = 'Ha oblidat la seva clau d\'accés?';
-$lang['Go through the gallery as a visitor'] = 'Entrar a la galeria com a visitant';
+$lang['Filter and display'] = 'Aplica filtre i visualitza';
+$lang['Filter'] = 'Filtra';
+$lang['Forgot your password?'] = 'Heu oblidat la clau d\'accés?';
+$lang['Go through the gallery as a visitor'] = 'Navegueu per la galeria com a visitant';
 $lang['Help'] = 'Ajuda';
 $lang['Identification'] = 'Autenticació';
@@ -125,5 +125,5 @@
 $lang['ascending'] = 'Ascendent';
 $lang['author(s) : %s'] = 'autor(s) : %s';
-$lang['Expand all albums'] = 'Expandir tots els àlbums';
+$lang['Expand all albums'] = 'Expandeix tots els àlbums';
 $lang['posted after %s (%s)'] = 'Publicades després %s (%s)';
 $lang['posted before %s (%s)'] = 'Publicades abans %s (%s)';
@@ -139,5 +139,5 @@
 $lang['chronology_monthly_list'] = 'Llista mensual';
 $lang['chronology_weekly_list'] = 'Llista setmanal';
-$lang['Click here if your browser does not automatically forward you'] = 'Faci clic aquí si el navegador no el redirecciona automàticament';
+$lang['Click here if your browser does not automatically forward you'] = 'Feu clic aquí si el navegador no us redirecciona automàticament';
 $lang['comment date'] = 'Data del comentari';
 $lang['Comment'] = 'Comentari';
@@ -256,5 +256,5 @@
 $lang['Search in sub-albums'] = 'Cerca en els sub-àlbums';
 $lang['searched words : %s'] = 'paraules trobades : %s';
-$lang['Contact'] = 'Contactar amb el';
+$lang['Contact'] = 'Contacta amb el';
 $lang['set as album representative'] = 'estableix com a icona de l\'àlbum';
 $lang['Show number of comments'] = 'Mostra el nombre de comentaris';
@@ -318,7 +318,7 @@
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Les galetes (cookies) estan bloquejades o el navegador no en permet l\'ús. Heu d\'habilitar-les per poder-vos connectar.';
 $lang['Edit a comment'] = "Edita un comentari";
-$lang['Are you sure?'] = 'Confirmi que desitja realitzar aquesta acció';
+$lang['Are you sure?'] = 'Confirmeu que desitgeu realitzar aquesta acció';
 $lang['Email address is missing. Please specify an email address.'] = 'Falta l\'adreça de correu electrònic. Si us plau, introduiu-la.';
-$lang['Delete'] = 'Eliminar';
+$lang['Delete'] = 'Elimina';
 $lang['(!) This comment requires validation'] = '(!) Aquest comentari necessita ser validat';
 $lang['Welcome'] = 'Benvingut';
@@ -351,10 +351,10 @@
 $lang['Username or email'] = 'Nom d\'usuari o correu electrònic';
 $lang['Change my password'] = 'Restablir clau d\'accés';
-$lang['Enter your new password below.'] = 'Introdueixi la nova clau d\'accés.';
+$lang['Enter your new password below.'] = 'Introduïu la nova clau d\'accés.';
 $lang['EXIF Metadata'] = 'Metadades EXIF';
 $lang['IPTC Metadata'] = 'Metadades IPTC';
 $lang['2small'] = 'XXS - diminut';
 $lang['Desktop'] = 'Escriptori';
-$lang['Edit'] = 'Editar';
+$lang['Edit'] = 'Edita';
 $lang['File name, A &rarr; Z'] = 'Nom d\'arxiu, A &rarr; Z';
 $lang['File name, Z &rarr; A'] = 'Nom d\'arxiu, Z &rarr; A';
@@ -390,6 +390,6 @@
 $lang['Date posted, new &rarr; old'] = 'Data de publicació, nou &rarr; antic';
 $lang['Date posted, old &rarr; new'] = 'Data de publicació, antic &rarr; nou';
-$lang['Download this file'] = 'Descarregar aquest fitxer';
-$lang['Download'] = 'Descarregar';
+$lang['Download this file'] = 'Descarrega aquest fitxer';
+$lang['Download'] = 'Descarrega';
 $lang['Numeric identifier, 1 &rarr; 9'] = 'Identificador numèric, 1 &rarr; 9';
 $lang['Numeric identifier, 9 &rarr; 1'] = 'Identificador numèric, 9 &rarr; 1';