Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 19368)
+++ /trunk/language/ca_ES/common.lang.php	(revision 19369)
@@ -59,5 +59,5 @@
 $lang['Close this window'] = 'Tanca aquesta finestra';
 $lang['Complete RSS feed (photos, comments)'] = 'Canal RSS complet (fotos, comentaris...)';
-$lang['Confirm Password'] = 'Confirmeu la clau d\'accés';
+$lang['Confirm Password'] = 'Confirmeu la contrasenya';
 $lang['Connection settings'] = 'Paràmetres de connexió';
 $lang['Login'] = 'Identificar-se';
@@ -66,5 +66,5 @@
 $lang['Created on'] = 'Creada el';
 $lang['Creation date'] = 'Data de creació';
-$lang['Current password is wrong'] = 'La clau d\'accés actual és errònia';
+$lang['Current password is wrong'] = 'La contrasenya actual és errònia';
 $lang['Dimensions'] = 'Dimensions';
 $lang['Display'] = 'Visualitza';
@@ -76,7 +76,7 @@
 $lang['File'] = 'Arxiu';
 $lang['Filesize'] = 'Mida';
-$lang['Filter and display'] = 'Aplica filtre i visualitza';
+$lang['Filter and display'] = 'Aplica el filtre i visualitza';
 $lang['Filter'] = 'Filtra';
-$lang['Forgot your password?'] = 'Heu oblidat la clau d\'accés?';
+$lang['Forgot your password?'] = 'Heu oblidat la contrasenya?';
 $lang['Go through the gallery as a visitor'] = 'Navegueu per la galeria com a visitant';
 $lang['Help'] = 'Ajuda';
@@ -90,6 +90,6 @@
 $lang['Number of items'] = 'Nombre d\'elements';
 $lang['Original dimensions'] = 'Dimensions originals';
-$lang['Password forgotten'] = 'Recordar les credencials d\'accés d\'inici de sessió';
-$lang['Password'] = 'Clau';
+$lang['Password forgotten'] = 'He oblidat la contrasenya';
+$lang['Password'] = 'Contrasenya';
 $lang['Post date'] = 'Data de publicació';
 $lang['Posted on'] = 'Publicada el';
@@ -100,10 +100,10 @@
 $lang['Registration'] = 'Registre';
 $lang['Related tags'] = 'Etiquetes relacionades';
-$lang['Reset'] = 'Restablir';
-$lang['Retrieve password'] = 'Recuperar la clau d\'accés';
+$lang['Reset'] = 'Restableix';
+$lang['Retrieve password'] = 'Recupera la contrasenya';
 $lang['Search rules'] = 'Criteris de cerca';
 $lang['Search tags'] = 'Cerca etiquetes';
-$lang['Search'] = 'Cercar';
-$lang['display available tags'] = 'Mostrar etiquetes disponibles';
+$lang['Search'] = 'Cerca';
+$lang['display available tags'] = 'visualitza les etiquetes disponibles';
 $lang['Since'] = 'Des de';
 $lang['Sort by'] = 'Ordena per';
@@ -120,14 +120,14 @@
 $lang['About Piwigo'] = 'Quant a Piwigo';
 $lang['You are not authorized to access the requested page'] = 'No esteu autoritzats a accedir en aquesta pàgina';
-$lang['add this photo to your favorites'] = 'Afegir a preferits';
+$lang['add this photo to your favorites'] = 'afegir a preferits';
 $lang['Administration'] = 'Administració';
 $lang['all'] = 'Tot ';
-$lang['ascending'] = 'Ascendent';
+$lang['ascending'] = 'ascendent';
 $lang['author(s) : %s'] = 'autor(s) : %s';
 $lang['Expand all albums'] = 'Expandeix tots els àlbums';
-$lang['posted after %s (%s)'] = 'Publicades després %s (%s)';
-$lang['posted before %s (%s)'] = 'Publicades abans %s (%s)';
-$lang['posted between %s (%s) and %s (%s)'] = 'Publicades entre %s (%s) i %s (%s)';
-$lang['posted on %s'] = 'Publicades el %s';
+$lang['posted after %s (%s)'] = 'publicades després %s (%s)';
+$lang['posted before %s (%s)'] = 'publicades abans %s (%s)';
+$lang['posted between %s (%s) and %s (%s)'] = 'publicades entre %s (%s) i %s (%s)';
+$lang['posted on %s'] = 'publicades el %s';
 $lang['Best rated'] = 'Millor valorades';
 $lang['display best rated photos'] = 'Visualitzar elements millor valorats';
@@ -135,5 +135,5 @@
 $lang['All'] = 'Tot ';
 $lang['display each day with photos, month per month'] = 'visualitza cada dia amb les fotos, mes a mes';
-$lang['View'] = 'Visualitzar';
+$lang['View'] = 'Visualitza';
 $lang['chronology_monthly_calendar'] = 'Calendari mensual';
 $lang['chronology_monthly_list'] = 'Llista mensual';
@@ -142,5 +142,5 @@
 $lang['comment date'] = 'Data del comentari';
 $lang['Comment'] = 'Comentari';
-$lang['Your comment has been registered'] = 'El seu comentari s\'ha registrat correctament';
+$lang['Your comment has been registered'] = 'El comentari s\'ha registrat correctament';
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'S\'ha activat el sistema de prevenció anti col·lapse. Si us plau, esperi un moment abans d\'afegir un altre comentari. En aquest moment el servidor està processant nombroses peticions d\'altres usuaris.';
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Atenció, el comentari NO serà publicat perquè no ha ha estat validat correctament.';
@@ -154,5 +154,5 @@
 $lang['created on %s'] = 'creada el %s';
 $lang['Customize'] = 'Perfil';
-$lang['Your Gallery Customization'] = 'Personalitzar galeria';
+$lang['Your Gallery Customization'] = 'Personalització de la galeria';
 $lang['day'][0] = 'Diumenge';
 $lang['day'][1] = 'Dilluns';
@@ -163,36 +163,36 @@
 $lang['day'][6] = 'Dissabte';
 $lang['Default'] = 'Per defecte';
-$lang['delete this photo from your favorites'] = 'elimina aquesta foto de les preferides';
-$lang['descending'] = 'Descendent';
-$lang['edit'] = 'Editar';
+$lang['delete this photo from your favorites'] = 'elimina aquesta foto dels vostres preferits';
+$lang['descending'] = 'descendent';
+$lang['edit'] = 'Edita';
 $lang['wrong date'] = 'data errònia';
 $lang['excluded'] = 'exclosa';
-$lang['Your favorites'] = 'Preferides';
-$lang['display your favorites photos'] = 'visualitza les fotos preferides';
-$lang['Favorites'] = 'Preferides';
+$lang['Your favorites'] = 'Els vostres preferits';
+$lang['display your favorites photos'] = 'visualitza les fotos dels vostres preferits';
+$lang['Favorites'] = 'Preferits';
 $lang['First'] = 'Primera';
 $lang['The gallery is locked for maintenance. Please, come back later.'] = 'La galeria roman temporalment tancada per tasques de manteniment. Disculpi les molèsties. La galeria tornarà a estar operativa en uns minuts.';
-$lang['Page generated in'] = 'Temps d\'execució';
-$lang['guest'] = 'convidat';
+$lang['Page generated in'] = 'Pàgina generada en';
+$lang['guest'] = 'visitant';
 $lang['Hello'] = 'Hola';
-$lang['available for administrators only'] = 'Disponible només per a administradors';
-$lang['display this album'] = 'Visualitzar el contingut d\'aquest àlbum';
-$lang['display last user comments'] = 'Veure els últims comentaris dels usuaris';
-$lang['customize the appareance of the gallery'] = 'Personalitzar aparença';
-$lang['search'] = 'cercar';
+$lang['available for administrators only'] = 'disponible només per a administradors';
+$lang['display this album'] = 'Visualitza el contingut d\'aquest àlbum';
+$lang['display last user comments'] = 'visualitza els últims comentaris dels usuaris';
+$lang['customize the appareance of the gallery'] = 'personalitzar l\'aparença de la galeria';
+$lang['search'] = 'cerca';
 $lang['in this album'] = 'en aquest àlbum';
 $lang['in %d sub-album'] = 'en %d sub-àlbum';
 $lang['in %d sub-albums'] = 'en %d sub-àlbums';
 $lang['included'] = 'inclòs';
-$lang['Invalid password!'] = 'Clau d\'accés no vàlida!';
+$lang['Invalid password!'] = 'Contrasenya no vàlida!';
 $lang['Language']='Idioma';
-$lang['last %d days'] = 'Últims %d dies';
+$lang['last %d days'] = 'últims %d dies';
 $lang['Last'] = 'Última';
 $lang['Logout'] = 'Sortir';
 $lang['obligatory'] = 'obligatori';
-$lang['display a calendar by creation date'] = 'Calendari segons la data de creació';
-$lang['display all photos in all sub-albums'] = 'Vista per miniatures';
-$lang['return to normal view mode'] = 'Vista per àlbums';
-$lang['display a calendar by posted date'] = 'Calendari segons la data de publicació';
+$lang['display a calendar by creation date'] = 'visualitza un calendari segons la data de creació';
+$lang['display all photos in all sub-albums'] = 'visualitza les fotos de tots els sub-àlbums';
+$lang['return to normal view mode'] = 'torna a la vista normal';
+$lang['display a calendar by posted date'] = 'visualitza un calendari segons la data de publicació';
 $lang['month'][10] = 'Octubre';
 $lang['month'][11] = 'Novembre';
@@ -212,6 +212,6 @@
 $lang['Number of photos per page'] = 'Nombre de fotos per pàgina';
 $lang['Unknown identifier'] = 'Identificador desconegut';
-$lang['New password'] = 'Nova clau d\'accés';
-$lang['Rate this photo'] = 'Valorar';
+$lang['New password'] = 'Nova contrasenya';
+$lang['Rate this photo'] = 'Valoreu aquesta foto';
 $lang['Next'] = 'Següent';
 $lang['Home'] = 'Inici';
@@ -221,5 +221,5 @@
 $lang['Photos posted within the last %d days.'] = 'Fotos publicades únicament els últims %d dies.';
 $lang['password updated'] = 'Clau d\'accés actualitzada';
-$lang['Recent period must be a positive integer value'] = 'El periode ha de ser un valor enter positiu';
+$lang['Recent period must be a positive integer value'] = 'El període ha de ser un valor enter positiu';
 $lang['photo'] = 'foto';
 $lang['Click on the photo to see it in high definition'] = 'Feu clic sobre la foto per a veure-la amb més qualitat';
@@ -229,7 +229,7 @@
 $lang['Previous'] = 'Anterior';
 $lang['Random photos'] = 'Fotos aleatòries';
-$lang['display a set of random photos'] = 'visualitza fotos aleatòries';
+$lang['display a set of random photos'] = 'visualitza un conjunt de fotos aleatòries';
 $lang['Recent albums'] = 'Àlbums recents';
-$lang['display recently updated albums'] = 'Visualitzar els àlbums actualitzats recentment';
+$lang['display recently updated albums'] = 'Visualitza els àlbums actualitzats recentment';
 $lang['Recent period'] = 'Període recent (dies)';
 $lang['Recent photos'] = 'Fotos recents';
@@ -237,12 +237,12 @@
 $lang['Redirection...'] = 'Redirecció...';
 $lang['Please, enter a login'] = 'Si us plau, introdueixi les seves credencials d\'autenticació';
-$lang['login mustn\'t end with a space character'] = 'El nom d\'usuari no pot acabar amb el caràcter \'espai\'';
-$lang['login mustn\'t start with a space character'] = 'El nom d\'usuari no pot començar amb el caràcter \'espai\'';
-$lang['this login is already used'] = 'Aquest nom d\'usuari ja s\'està utilitzant';
+$lang['login mustn\'t end with a space character'] = 'el nom d\'usuari no pot acabar amb el caràcter \'espai\'';
+$lang['login mustn\'t start with a space character'] = 'el nom d\'usuari no pot començar amb el caràcter \'espai\'';
+$lang['this login is already used'] = 'aquest nom d\'usuari ja s\'està utilitzant';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'L\'adreça de correu ha de ser com xxx@yyy.eee (exemple: jack@altern.org)';
-$lang['please enter your password again'] = 'Si us plau, introdueixi la seva clau d\'accés una altra vegada';
+$lang['please enter your password again'] = 'si us plau, introdueixi la seva contrasenya una altra vegada';
 $lang['Auto login'] = 'Recordar';
-$lang['remove this tag from the list'] = 'elimini aquesta etiqueta de la llista';
-$lang['representative'] = 'Representar';
+$lang['remove this tag from the list'] = 'elimineu aquesta etiqueta de la llista';
+$lang['representative'] = 'miniatura de l\'àlbum';
 $lang['Search for Author'] = 'Cerca per autor';
 $lang['Search in albums'] = 'Cerca en els àlbums';
@@ -260,20 +260,20 @@
 $lang['Show number of comments'] = 'Mostra el nombre de comentaris';
 $lang['Show number of hits'] = 'Mostra el nombre de visualitzacions';
-$lang['slideshow'] = 'Presentació';
-$lang['stop the slideshow'] = 'Aturar presentació';
+$lang['slideshow'] = 'presentació de diapositives';
+$lang['stop the slideshow'] = 'aturar la presentació';
 $lang['Specials'] = 'Especials';
 $lang['SQL queries in'] = 'consultes SQL en';
 $lang['display only recently posted photos'] = 'visualitza només les fotos publicades recentment';
-$lang['return to the display of all photos'] = 'torna a visualitzar totes les fotos';
-$lang['the beginning'] = 'El començament';
+$lang['return to the display of all photos'] = 'torna a la visualització de totes les fotos';
+$lang['the beginning'] = 'principi';
 $lang['Interface theme'] = 'Tema predeterminat';
-$lang['Thumbnails'] = 'Diapositives';
+$lang['Thumbnails'] = 'Miniatures';
 $lang['Menu'] = 'Menú';
 $lang['A comment on your site'] = 'Un comentari sobre el vostre lloc web';
-$lang['today'] = 'Avui';
-$lang['Update your rating'] = 'Canviar valoració';
+$lang['today'] = 'avui';
+$lang['Update your rating'] = 'Actualitzeu la vostra valoració';
 $lang['Author'] = 'Autor';
-$lang['the username must be given'] = 'Cal indicar el nom d\'usuari';
-$lang['useful when password forgotten'] = 'Útil en cas de pèrdua de credencials';
+$lang['the username must be given'] = 'cal indicar el nom d\'usuari';
+$lang['useful when password forgotten'] = 'útil en cas de pèrdua de la contrasenya';
 $lang['Quick search'] = 'Cerca ràpida';
 $lang['Connected user: %s'] = 'Usuari connectat: %s';
@@ -293,11 +293,11 @@
 $lang['Tag results for'] = 'Resultats de l\'etiqueta per';
 $lang['from %s to %s'] = 'de %s a %s';
-$lang['Play of slideshow'] = 'Reproduir';
+$lang['Play of slideshow'] = 'Reprodueix';
 $lang['Pause of slideshow'] = 'Pausa';
-$lang['Repeat the slideshow'] = 'Activar repetició';
-$lang['Not repeat the slideshow'] = 'Desactivar repetició';
-$lang['Reduce diaporama speed'] = 'Disminuir velocitat';
-$lang['Accelerate diaporama speed'] = 'Incrementar velocitat';
-$lang['Submit'] = 'Validar';
+$lang['Repeat the slideshow'] = 'Activa la repetició';
+$lang['Not repeat the slideshow'] = 'Desactiva repetició';
+$lang['Reduce diaporama speed'] = 'Disminueix la velocitat';
+$lang['Accelerate diaporama speed'] = 'Incrementa la velocitat';
+$lang['Submit'] = 'Tramet';
 $lang['Yes'] = 'Sí';
 $lang['No'] = 'No';
@@ -309,10 +309,10 @@
 $lang['Piwigo Help'] = 'Ajuda';
 $lang['Rank'] = 'Millor valorades';
-$lang['group by letters'] = 'Agrupar per lletres';
+$lang['group by letters'] = 'Agrupa per lletres';
 $lang['letters'] = 'lletres';
-$lang['show tag cloud'] = 'Mostrar núbol d\'etiquetes';
-$lang['cloud'] = 'núbol';
-$lang['Reset to default values'] = 'Restaurar valors predeterminats';
-$lang['delete all photos from your favorites'] = 'elimina totes les fotos preferides';
+$lang['show tag cloud'] = 'mostra núvol d\'etiquetes';
+$lang['cloud'] = 'núvol';
+$lang['Reset to default values'] = 'Restaura els valors predeterminats';
+$lang['delete all photos from your favorites'] = 'elimina totes les fotos dels vostres preferits';
 $lang['Sent by'] = 'Enviat per';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Les galetes (cookies) estan bloquejades o el navegador no en permet l\'ús. Heu d\'habilitar-les per poder-vos connectar.';
@@ -334,22 +334,22 @@
 $lang['%d rates'] = '%d valoracions';
 $lang['Rating score'] = 'Puntuació';
-$lang['Invalid username or email'] = 'Nom d\'usuari o correu electrònic invàlid';
-$lang['Password reset is not allowed for this user'] = 'No està permès restablir la clau d\'accés per aquest usuari';
-$lang['User "%s" has no email address, password reset is not possible'] = 'L\'usuari "%s" no ha registrat cap adreça de correu electrònic. No es pot restablir seva la clau d\'accés.';
-$lang['Someone requested that the password be reset for the following user account:'] = 'Algú ha demanat que la clau d\'accés sigui restablerta pels següents comptes d\'usuari';
+$lang['Invalid username or email'] = 'Nom d\'usuari o correu electrònic no vàlid';
+$lang['Password reset is not allowed for this user'] = 'No està permès restablir la contrasenya per aquest usuari';
+$lang['User "%s" has no email address, password reset is not possible'] = 'L\'usuari "%s" no ha registrat cap adreça de correu electrònic. No es pot restablir seva la contrasenya.';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Algú ha demanat que contrasenya d\'accés sigui restablerta pels següents comptes d\'usuari';
 $lang['Username "%s" on gallery %s'] = 'El nom d\'usuari "%s" sobre la galeria %s';
-$lang['To reset your password, visit the following address:'] = 'Per restablir la seva clau d\'accés visiti l\'adreça següent:';
+$lang['To reset your password, visit the following address:'] = 'Per restablir la seva contrasenya visiti l\'adreça següent:';
 $lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Si es tracta d\'un error, ignoreu aquest correu electrònic com si res hagués passat.';
-$lang['Password Reset'] = 'Estableixi una nova clau d\'accés';
+$lang['Password Reset'] = 'Estableixi una nova contrasenya';
 $lang['Check your email for the confirmation link'] = 'Comprovi que ha rebut l\'enllaç de confirmació al seu correu electrònic';
 $lang['Invalid key'] = 'Clau invàlida';
-$lang['The passwords do not match'] = 'Les claus d\'accés no coincideixen';
-$lang['Your password has been reset'] = 'S\'ha restablert la seva clau d\'accés.';
-$lang['Return to home page'] = 'Tornar a la pàgina d\'inici';
+$lang['The passwords do not match'] = 'Les contrasenyes no coincideixen';
+$lang['Your password has been reset'] = 'S\'ha restablert la seva contrasenya.';
+$lang['Return to home page'] = 'Torna a la pàgina d\'inici';
 $lang['Please enter your username or email address.'] = 'Introdueixi el nom d\'usuari o el correu electrònic que va emprar per donar-se d\'alta.';
-$lang['You will receive a link to create a new password via email.'] = 'Rebrà un enllaç al seu correu electrònic que li permetrà crear una nova clau d\'accés.';
+$lang['You will receive a link to create a new password via email.'] = 'Rebrà un enllaç al seu correu electrònic que li permetrà crear una nova contrasenya.';
 $lang['Username or email'] = 'Nom d\'usuari o correu electrònic';
-$lang['Change my password'] = 'Restablir clau d\'accés';
-$lang['Enter your new password below.'] = 'Introduïu la nova clau d\'accés.';
+$lang['Change my password'] = 'Restableix la meva contrasenya';
+$lang['Enter your new password below.'] = 'Introduïu la nova contrasenya.';
 $lang['EXIF Metadata'] = 'Metadades EXIF';
 $lang['IPTC Metadata'] = 'Metadades IPTC';
@@ -363,7 +363,7 @@
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Si us plau, contacti amb nosaltres a %s si creu que ha rebut per error aquest correu electrònic.';
 $lang['Manual sort order'] = 'Ordre manual';
-$lang['Mobile'] = 'dispositius mòbils';
+$lang['Mobile'] = 'Mòbil';
 $lang['Original'] = 'Original';
-$lang['Password: %s'] = 'Clau: %s';
+$lang['Password: %s'] = 'Contrasenya: %s';
 $lang['Photo sizes'] = 'Canviar mides';
 $lang['Photo title, A &rarr; Z'] = 'Nom de l\'arxiu, A &rarr; Z';
@@ -371,16 +371,16 @@
 $lang['Send my connection settings by email'] = 'Envia credencials al meu correu electrònic';
 $lang['Show latest comments first'] = 'Mostra els comentaris nous primer';
-$lang['Show oldest comments first'] = 'Mostra comentaris antics primer';
+$lang['Show oldest comments first'] = 'Mostra primer els comentaris més antics ';
 $lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'S\'ha inscrit correctament. En breu rebrà un correu electrònic amb les seves credencials de connexió.<br>Benvingut!';
-$lang['Thank you for registering at %s!'] = 'Gràcies per inscriute\'s a %s!';
-$lang['Username modification'] = 'Modificar usuari';
+$lang['Thank you for registering at %s!'] = 'Gràcies per registrar-te a %s!';
+$lang['Username modification'] = 'Modifica el nom d\'usuari';
 $lang['Username: %s'] = 'Usuari: %s';
-$lang['View in'] = 'Disseny web adaptat a';
-$lang['Your username has been successfully changed to : %s'] = 'El seu nom d\'usuari ha sigut modificat correctament per: %s';
+$lang['View in'] = 'Veure en';
+$lang['Your username has been successfully changed to : %s'] = 'El nom d\'usuari s\'ha modificat correctament per: %s';
 $lang['large'] = 'L - gran';
 $lang['medium'] = 'M - mitjà';
 $lang['small'] = 'S - petit';
 $lang['square'] = 'Quadrat';
-$lang['thumb'] = 'Diapositiva';
+$lang['thumb'] = 'Miniatura';
 $lang['xlarge'] = 'XL - extra gran';
 $lang['xsmall'] = 'XS - extra petit';