Index: /extensions/Media_Icon/admin/admin.css
===================================================================
--- /extensions/Media_Icon/admin/admin.css	(revision 19371)
+++ /extensions/Media_Icon/admin/admin.css	(revision 19372)
@@ -1,2 +1,18 @@
+div.media_icon_admin_element {
+	width: 20%;
+	font-weight: bold;
+	float: left;
+	margin: 1,5em 1,5em;
+}
+
+.media_icon_bold_center {
+	font-weight: bold;
+	text-align: center;
+}
+
+.media_icon_important {
+	font-weight: bold;
+}
+	
 .showInfo {
   position:static;
@@ -17,4 +33,5 @@
 	margin-right: auto;
 	margin-bottom: 2em;
+	font-weight: normal;
 }
 
Index: /extensions/Media_Icon/admin/admin_advanced.php
===================================================================
--- /extensions/Media_Icon/admin/admin_advanced.php	(revision 19371)
+++ /extensions/Media_Icon/admin/admin_advanced.php	(revision 19372)
@@ -57,9 +57,9 @@
 $template->set_filenames(
 	array(
-		'plugin_admin_content' => dirname(__FILE__).'/admin_advanced.tpl'
+		'plugin_admin_content_advanced' => dirname(__FILE__).'/admin_advanced.tpl'
 	)    
 );
  
 //Assign the template contents to ADMIN_CONTENT
-$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content_advanced');
 ?>
Index: /extensions/Media_Icon/admin/admin_general.php
===================================================================
--- /extensions/Media_Icon/admin/admin_general.php	(revision 19371)
+++ /extensions/Media_Icon/admin/admin_general.php	(revision 19372)
@@ -7,4 +7,12 @@
 	//New parameters
 	$conf_media_icon_general['style'] = $_POST['media_icon_style'];
+	
+	//faire avec foreach
+	foreach ($conf_media_icon_general['support'] as $media_icon_support => $value) {
+	if(isset($_POST['media_icon_checkbox']['media_icon_checkbox_'.$media_icon_support]) && ($_POST['media_icon_checkbox']['media_icon_checkbox_'.$media_icon_support] == 1))
+		$conf_media_icon_general['support'][$media_icon_support] = 1;
+	else
+		$conf_media_icon_general['support'][$media_icon_support] = 0;
+	}
 	
 	//Save
@@ -24,13 +32,30 @@
 	)
 );
+$template->assign('media_icon_support',$conf_media_icon_general['support']);
+$template->assign(
+	'media_icon_support_checked',
+	array(
+		'youtube' => (($conf_media_icon_general['support']['youtube'] == 1) ? 'checked = "checked"' : ""),
+		'vimeo' => (($conf_media_icon_general['support']['vimeo'] == 1) ? 'checked = "checked"' : ""),
+		'dailymotion' => (($conf_media_icon_general['support']['dailymotion'] == 1) ? 'checked = "checked"' : ""),
+		'wideo' => (($conf_media_icon_general['support']['wideo'] == 1) ? 'checked = "checked"' : ""),
+		'wat' => (($conf_media_icon_general['support']['wat'] == 1) ? 'checked = "checked"' : ""),
+		'video' => (($conf_media_icon_general['support']['video'] == 1) ? 'checked = "checked"' : ""),
+		'music' => (($conf_media_icon_general['support']['music'] == 1) ? 'checked = "checked"' : ""),
+		'pdf' => (($conf_media_icon_general['support']['pdf'] == 1) ? 'checked = "checked"' : ""),
+		'document' => (($conf_media_icon_general['support']['document'] == 1) ? 'checked = "checked"' : ""),
+		'spreadsheet' => (($conf_media_icon_general['support']['spreadsheet'] == 1) ? 'checked = "checked"' : ""),
+		'presentation' => (($conf_media_icon_general['support']['presentation'] == 1) ? 'checked = "checked"' : ""),
+	)
+);
 
 //Add our template to the global template
 $template->set_filenames(
 	array(
-		'plugin_admin_content' => dirname(__FILE__).'/admin_general.tpl'
+		'plugin_admin_content_general' => dirname(__FILE__).'/admin_general.tpl'
 	)
 );
  
 //Assign the template contents to ADMIN_CONTENT
-$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content_general');
 ?>
Index: /extensions/Media_Icon/admin/admin_general.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin_general.tpl	(revision 19371)
+++ /extensions/Media_Icon/admin/admin_general.tpl	(revision 19372)
@@ -1,27 +1,2 @@
-{html_head}{literal}
-<style type="text/css">
-	div.media_icon_admin_element {
-		width: 20%;
-		font-weight: bold;
-		float: left;
-		margin: 1,5em 1,5em;
-	}
-  
-	.properties label {
-		font-weight: bold;
-		text-align: center;
-	}
-
-	.properties p {
-		font-weight: normal;
-		margin-top: 1em;
-		text-align: center;
-	}
-
-	.media_icon_important {
-		font-weight: bold;
-	}
-</style>
-{/literal}{/html_head}
 {footer_script}{literal}
 jQuery(".showInfo").tipTip({
@@ -42,37 +17,39 @@
 	<fieldset>
     <legend>{'Style'|@translate}</legend>
-	<p>
-		<label for="media_icon_select">{'Icon style:'|@translate}</label>
+	<p class="media_icon_bold_center">
+		{'Icon style:'|@translate}
 	</p>
-	<p>	
+	<p class="media_icon_bold_center">	
 		<select id="media_icon_select" name="media_icon_style">
-			<option value="logo"{$media_icon_style_selected.logo}>{'Logo'|@translate}</option>
-			<option value="photo"{$media_icon_style_selected.photo}>{'Photo'|@translate}</option>
-			<option value="folder"{$media_icon_style_selected.folder}>{'Folder'|@translate}</option>
-			<option value="foldercolor"{$media_icon_style_selected.foldercolor}>{'Folder color'|@translate}</option>
+			<option value="logo" {$media_icon_style_selected.logo}>{'Logo'|@translate}</option>
+			<option value="photo" {$media_icon_style_selected.photo}>{'Photo'|@translate}</option>
+			<option value="folder" {$media_icon_style_selected.folder}>{'Folder'|@translate}</option>
+			<option value="foldercolor" {$media_icon_style_selected.foldercolor}>{'Folder color'|@translate}</option>
 		</select>
 	</p>
-	<p>
-		<label>{'Type of files you want to add an icon to:'|@translate}</label>
+	<p class="media_icon_bold_center">
+		{'Types of files you want to add an icon to:'|@translate}
 	</p>
 	<p>
 		<div id="media_icon_admin_checkbox_left">
-			{'Youtube videos'|@translate} <input type="checkbox" name="media_icon_checkbox_youtube" value="1"><br />
-			{'Vimeo videos'|@translate} <input type="checkbox" name="media_icon_checkbox_vimeo" value="1"><br />
-			{'Dailymotion videos'|@translate} <input type="checkbox" name="media_icon_checkbox_dailymotion" value="1"><br />
-			{'Wideo videos'|@translate} <input type="checkbox" name="media_icon_checkbox_wideo" value="1"><br />
-			{'Wat videos'|@translate} <input type="checkbox" name="media_icon_checkbox_wat" value="1"><br />
-			{'Videos'|@translate} <input type="checkbox" name="media_icon_checkbox_video" value="1">
+			<label>{'Youtube videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_youtube]" value="1" {$media_icon_support_checked.youtube}></label><br />
+			<label>{'Vimeo videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_vimeo]" value="1" {$media_icon_support_checked.vimeo}></label><br />
+			<label>{'Dailymotion videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_dailymotion]" value="1" {$media_icon_support_checked.dailymotion}></label><br />
+			<label>{'Wat videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_wat]" value="1" {$media_icon_support_checked.wat}></label><br />
+			<label>{'Wideo videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_wideo]" value="1" {$media_icon_support_checked.wideo}></label><br />
+			<label>{'Videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_video]" value="1" {$media_icon_support_checked.video}></label>
 		</div>
 		<div id="media_icon_admin_checkbox_right">
-			<input type="checkbox" name="media_icon_checkbox_music" value="1"> {'Musics'|@translate}<br />
-			<input type="checkbox" name="media_icon_checkbox_pdf" value="1"> {'pdf files'|@translate}<br />
-			<input type="checkbox" name="media_icon_checkbox_document" value="1"> {'Documents'|@translate}<br />
-			<input type="checkbox" name="media_icon_checkbox_spreadsheet" value="1"> {'Spreadsheets'|@translate}<br />
-			<input type="checkbox" name="media_icon_checkbox_presentation" value="1"> {'Presentations'|@translate}
+			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_music]" value="1" {$media_icon_support_checked.music}> {'Musics'|@translate}</label><br />
+			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_pdf]" value="1" {$media_icon_support_checked.pdf}> {'pdf files'|@translate}</label><br />
+			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_document]" value="1" {$media_icon_support_checked.document}> {'Documents'|@translate}</label><br />
+			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_spreadsheet]" value="1" {$media_icon_support_checked.spreadsheet}> {'Spreadsheets'|@translate}</label><br />
+			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_presentation]" value="1" {$media_icon_support_checked.presentation}> {'Presentations'|@translate}</label>
 		</div>
 	</p>
 	<div class="clear"></div>
-	<p>{'Click on submit to see changes.'|@translate}</p>
+	<p class="media_icon_bold_center">
+		{'Click on submit to see changes.'|@translate}
+	</p>
 	</fieldset>
   
@@ -82,14 +59,14 @@
 <fieldset>
 	<legend>{'Result'|@translate}</legend>
-	<div class="media_icon_admin_element">{'Youtube videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin media_icon_admin_youtube_{$media_icon_style}"></span></div>
-	<div class="media_icon_admin_element">{'Vimeo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin media_icon_admin_vimeo_{$media_icon_style}"></span></div>
-	<div class="media_icon_admin_element">{'Dailymotion videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin media_icon_admin_dailymotion_{$media_icon_style}"></span></div>
-	<div class="media_icon_admin_element">{'Wat videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin media_icon_admin_wat_{$media_icon_style}"></span></div>
-	<div class="media_icon_admin_element">{'Wideo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin media_icon_admin_wideo_{$media_icon_style}"></span></div>
-	<div class="media_icon_admin_element">{'Videos'|@translate} <a class="showInfo" title="{'Files supported: webm, webmv, ogv, m4v, flv, mp4'|@translate}">i</a><span class="media_icon_admin media_icon_admin_video_{$media_icon_style}"></span></div>
-	<div class="media_icon_admin_element">{'Musics'|@translate} <a class="showInfo" title="{'Files supported: mp3, ogg, oga, m4a, webma, fla, wav'|@translate}">i</a><span class="media_icon_admin media_icon_admin_music_{$media_icon_style}"></span></div>
-	<div class="media_icon_admin_element">{'pdf files'|@translate} <a class="showInfo" title="{'Files supported: pdf'|@translate}">i</a><span class="media_icon_admin media_icon_admin_pdf_{$media_icon_style}"></span></div>
-	<div class="media_icon_admin_element">{'Documents'|@translate} <a class="showInfo" title="{'Files supported: doc, docx and odt'|@translate}">i</a><span class="media_icon_admin media_icon_admin_document_{$media_icon_style}"></span></div>
-	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <a class="showInfo" title="{'Files supported: xls, xlsx and ods'|@translate}">i</a><span class="media_icon_admin media_icon_admin_spreadsheet_{$media_icon_style}"></span></div>
-	<div class="media_icon_admin_element">{'Presentations'|@translate} <a class="showInfo" title="{'Files supported: ppt, pptx and odp'|@translate}">i</a><span class="media_icon_admin media_icon_admin_presentation_{$media_icon_style}"></span></div>
+	<div class="media_icon_admin_element">{'Youtube videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_support.youtube eq 1}<span class="media_icon_admin media_icon_admin_youtube_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Vimeo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_support.vimeo eq 1}<span class="media_icon_admin media_icon_admin_vimeo_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Dailymotion videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_support.dailymotion eq 1}<span class="media_icon_admin media_icon_admin_dailymotion_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Wat videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_support.wat eq 1}<span class="media_icon_admin media_icon_admin_wat_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Wideo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_support.wideo eq 1}<span class="media_icon_admin media_icon_admin_wideo_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Videos'|@translate} <a class="showInfo" title="{'Files supported: webm, webmv, ogv, m4v, flv, mp4'|@translate}">i</a>{if $media_icon_support.video eq 1}<span class="media_icon_admin media_icon_admin_video_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Musics'|@translate} <a class="showInfo" title="{'Files supported: mp3, ogg, oga, m4a, webma, fla, wav'|@translate}">i</a>{if $media_icon_support.music eq 1}<span class="media_icon_admin media_icon_admin_music_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'pdf files'|@translate} <a class="showInfo" title="{'Files supported: pdf'|@translate}">i</a>{if $media_icon_support.pdf eq 1}<span class="media_icon_admin media_icon_admin_pdf_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Documents'|@translate} <a class="showInfo" title="{'Files supported: doc, docx and odt'|@translate}">i</a>{if $media_icon_support.document eq 1}<span class="media_icon_admin media_icon_admin_document_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <a class="showInfo" title="{'Files supported: xls, xlsx and ods'|@translate}">i</a>{if $media_icon_support.spreadsheet eq 1}<span class="media_icon_admin media_icon_admin_spreadsheet_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	<div class="media_icon_admin_element">{'Presentations'|@translate} <a class="showInfo" title="{'Files supported: ppt, pptx and odp'|@translate}">i</a>{if $media_icon_support.presentation eq 1}<span class="media_icon_admin media_icon_admin_presentation_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
 </fieldset>
Index: /extensions/Media_Icon/admin/admin_help.php
===================================================================
--- /extensions/Media_Icon/admin/admin_help.php	(revision 19371)
+++ /extensions/Media_Icon/admin/admin_help.php	(revision 19372)
@@ -3,9 +3,9 @@
 $template->set_filenames(
 	array(
-		'plugin_admin_content' => dirname(__FILE__).'/admin_help.tpl'
+		'plugin_admin_content_help' => dirname(__FILE__).'/admin_help.tpl'
 	)
 );
  
 //Assign the template contents to ADMIN_CONTENT
-$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content_help');
 ?>
Index: /extensions/Media_Icon/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19371)
+++ /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19372)
@@ -14,4 +14,5 @@
 $lang['Folder'] = 'Folder';
 $lang['Folder color'] = 'Folder color';
+$lang['Types of files you want to add an icon to:'] = 'Types of files you want to add an icon to:';
 $lang['Click on submit to see changes.'] = 'Click on submit to see changes.';
 $lang['Result'] = 'Result';
@@ -34,4 +35,5 @@
 $lang['Files supported: xls, xlsx and ods'] = 'Files supported: xls, xlsx and ods';
 $lang['ppt, pptx and odp files'] = 'Files supported: ppt, pptx and odp';
+$lang['Not displayed'] = 'Not displayed';
 
 //admin_advanced.php
Index: /extensions/Media_Icon/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19371)
+++ /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19372)
@@ -14,4 +14,5 @@
 $lang['Folder'] = 'Carpeta';
 $lang['Folder color'] = 'Carpeta en color';
+$lang['Types of files you want to add an icon to:'] = 'Tipos de archivos a los que desea añadir un icono :';
 $lang['Click on submit to see changes.'] = 'Haga clic en enviar para ver los cambios.';
 $lang['Result'] = 'Resultado';
@@ -34,4 +35,5 @@
 $lang['Files supported: xls, xlsx and ods'] = 'Archivos admitidos : xls, xlsx y ods';
 $lang['ppt, pptx and odp files'] = 'Archivos admitidos : ppt, pptx y odp';
+$lang['Not displayed'] = 'No presentado';
 
 //admin_advanced.php
Index: /extensions/Media_Icon/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19371)
+++ /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19372)
@@ -14,4 +14,5 @@
 $lang['Folder'] = 'Dossier';
 $lang['Folder color'] = 'Dossier en couleurs';
+$lang['Types of files you want to add an icon to:'] = 'Types de fichiers pour lesquels vous voulez ajouter une icône :';
 $lang['Click on submit to see changes.'] = 'Cliquez sur valider pour voir les changements apparaître.';
 $lang['Result'] = 'Résultat';
@@ -34,4 +35,5 @@
 $lang['Files supported: xls, xlsx and ods'] = 'Fichiers supportés : xls, xlsx et ods';
 $lang['ppt, pptx and odp files'] = 'Fichiers supportés : ppt, pptx et odp';
+$lang['Not displayed'] = 'Non affiché';
 
 //admin_advanced.php
Index: /extensions/Media_Icon/picture.php
===================================================================
--- /extensions/Media_Icon/picture.php	(revision 19371)
+++ /extensions/Media_Icon/picture.php	(revision 19372)
@@ -11,32 +11,42 @@
 	switch (strrchr($element_info['file'], ".")) {
 		case ".pdf":
-			$media_icon_type = "pdf";
+			if ($conf_media_icon_general['support']['pdf'] == 1)
+				$media_icon_type = "pdf";
 			break;
 		case ".docx":
-			$media_icon_type = "document";
+			if ($conf_media_icon_general['support']['document'] == 1)
+				$media_icon_type = "document";
 			break;
 		case ".doc":
-			$media_icon_type = "document";
+			if ($conf_media_icon_general['support']['document'] == 1)
+				$media_icon_type = "document";
 			break;
 		case ".odt":
-			$media_icon_type = "document";
+			if ($conf_media_icon_general['support']['document'] == 1)
+				$media_icon_type = "document";
 			break;
 		case ".xlsx":
-			$media_icon_type = "spreadsheet";
+			if ($conf_media_icon_general['support']['spreadsheet'] == 1)
+				$media_icon_type = "spreadsheet";
 			break;
 		case ".xls":
-			$media_icon_type = "spreadsheet";
+			if ($conf_media_icon_general['support']['spreadsheet'] == 1)
+				$media_icon_type = "spreadsheet";
 			break;
 		case ".ods":
-			$media_icon_type = "spreadsheet";
+			if ($conf_media_icon_general['support']['spreadsheet'] == 1)
+				$media_icon_type = "spreadsheet";
 			break;
 		case ".pptx":
-			$media_icon_type = "presentation";
+			if ($conf_media_icon_general['support']['presentation'] == 1)
+				$media_icon_type = "presentation";
 			break;
 		case ".ppt":
-			$media_icon_type = "presentation";
+			if ($conf_media_icon_general['support']['presentation'] == 1)
+				$media_icon_type = "presentation";
 			break;
 		case ".odp":
-			$media_icon_type = "presentation";
+			if ($conf_media_icon_general['support']['presentation'] == 1)
+				$media_icon_type = "presentation";
 			break;
 	}
Index: /extensions/Media_Icon/template/media_icon_thumbnails.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon_thumbnails.tpl	(revision 19371)
+++ /extensions/Media_Icon/template/media_icon_thumbnails.tpl	(revision 19372)
@@ -18,42 +18,42 @@
 {/literal}
 		//Youtube
-		$("img[media_icon^=youtube]").before('<span class="media_icon media_icon_youtube_{$media_icon_style}"></span>');
+		{if $media_icon_support.youtube eq 1}$("img[media_icon^=youtube]").before('<span class="media_icon media_icon_youtube_{$media_icon_style}"></span>'){/if};
 		//Vimeo
-		$("img[media_icon^=vimeo]").before('<span class="media_icon media_icon_vimeo_{$media_icon_style}"></span>');
+		{if $media_icon_support.vimeo eq 1}$("img[media_icon^=vimeo]").before('<span class="media_icon media_icon_vimeo_{$media_icon_style}"></span>'){/if};
 		//Dailymotion
-		$("img[media_icon^=dailymotion]").before('<span class="media_icon media_icon_dailymotion_{$media_icon_style}"></span>');
+		{if $media_icon_support.dailymotion eq 1}$("img[media_icon^=dailymotion]").before('<span class="media_icon media_icon_dailymotion_{$media_icon_style}"></span>'){/if};
 		//Wat
-		$("img[media_icon^=wat]").before('<span class="media_icon media_icon_wat_{$media_icon_style}"></span>');
+		{if $media_icon_support.wat eq 1}$("img[media_icon^=wat]").before('<span class="media_icon media_icon_wat_{$media_icon_style}"></span>'){/if};
 		//Wideo
-		$("img[media_icon^=wideo]").before('<span class="media_icon media_icon_wideo_{$media_icon_style}"></span>');
+		{if $media_icon_support.wideo eq 1}$("img[media_icon^=wideo]").before('<span class="media_icon media_icon_wideo_{$media_icon_style}"></span>'){/if};
 		//Video
-		$("img[media_icon$=webm]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
-		$("img[media_icon$=webmv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
-		$("img[media_icon$=ogv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
-		$("img[media_icon$=m4v]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
-		$("img[media_icon$=flv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
-		$("img[media_icon$=mp4]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
+		{if $media_icon_support.video eq 1}$("img[media_icon$=webm]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.video eq 1}$("img[media_icon$=webmv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.video eq 1}$("img[media_icon$=ogv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.video eq 1}$("img[media_icon$=m4v]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.video eq 1}$("img[media_icon$=flv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.video eq 1}$("img[media_icon$=mp4]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>'){/if};
 		//Music
-		$("img[media_icon$=mp3]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
-		$("img[media_icon$=ogg]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
-		$("img[media_icon$=oga]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
-		$("img[media_icon$=m4a]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
-		$("img[media_icon$=webma]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
-		$("img[media_icon$=fla]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
-		$("img[media_icon$=wav]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+		{if $media_icon_support.music eq 1}$("img[media_icon$=mp3]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.music eq 1}$("img[media_icon$=ogg]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.music eq 1}$("img[media_icon$=oga]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.music eq 1}$("img[media_icon$=m4a]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.music eq 1}$("img[media_icon$=webma]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.music eq 1}$("img[media_icon$=fla]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.music eq 1}$("img[media_icon$=wav]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>'){/if};
 		//pdf
-		$("img[media_icon$=pdf]").before('<span class="media_icon media_icon media_icon_pdf_{$media_icon_style}"></span>');
+		{if $media_icon_support.pdf eq 1}$("img[media_icon$=pdf]").before('<span class="media_icon media_icon media_icon_pdf_{$media_icon_style}"></span>'){/if};
 		//doc, docx or odt
-		$("img[media_icon$=doc]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>');
-		$("img[media_icon$=docx]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>');
-		$("img[media_icon$=odt]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>');
+		{if $media_icon_support.document eq 1}$("img[media_icon$=doc]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.document eq 1}$("img[media_icon$=docx]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.document eq 1}$("img[media_icon$=odt]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>'){/if};
 		//xls, xlsx or ods
-		$("img[media_icon$=xls]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>');
-		$("img[media_icon$=xlsx]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>');
-		$("img[media_icon$=ods]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>');
+		{if $media_icon_support.spreadsheet eq 1}$("img[media_icon$=xls]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.spreadsheet eq 1}$("img[media_icon$=xlsx]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.spreadsheet eq 1}$("img[media_icon$=ods]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>'){/if};
 		//ppt, pptx or odp
-		$("img[media_icon$=ppt]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>');
-		$("img[media_icon$=pptx]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>');
-		$("img[media_icon$=odp]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>');
+		{if $media_icon_support.presentation eq 1}$("img[media_icon$=ppt]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.presentation eq 1}$("img[media_icon$=pptx]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>'){/if};
+		{if $media_icon_support.presentation eq 1}$("img[media_icon$=odp]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>'){/if};
 {literal}
 	}
Index: /extensions/Media_Icon/thumbnails.php
===================================================================
--- /extensions/Media_Icon/thumbnails.php	(revision 19371)
+++ /extensions/Media_Icon/thumbnails.php	(revision 19372)
@@ -14,4 +14,5 @@
 	$template->assign('media_icon_style',$conf_media_icon_general['style']);
 	
+	$template->assign('media_icon_support',	$conf_media_icon_general['support']);
 	$template->assign(
 		'media_icon_advanced',