Index: /extensions/Media_Icon/admin/admin.css
===================================================================
--- /extensions/Media_Icon/admin/admin.css	(revision 19373)
+++ /extensions/Media_Icon/admin/admin.css	(revision 19374)
@@ -68,2 +68,7 @@
 	text-align: left;
 }
+
+.media_icon_admin_left {
+	float: left;
+	text-align: left;
+}
Index: /extensions/Media_Icon/admin/admin_general.php
===================================================================
--- /extensions/Media_Icon/admin/admin_general.php	(revision 19373)
+++ /extensions/Media_Icon/admin/admin_general.php	(revision 19374)
@@ -23,13 +23,10 @@
 //Parameters of the template
 $template->assign('media_icon_style',$conf_media_icon_general['style']);
-$template->assign(
-	'media_icon_style_selected',
-	array(
-		'logo' => (($conf_media_icon_general['style'] == 'logo') ? 'selected = "selected"' : ""),
-		'photo' => (($conf_media_icon_general['style'] == 'photo') ? 'selected = "selected"' : ""),
-		'folder' => (($conf_media_icon_general['style'] == 'folder') ? 'selected = "selected"' : ""),
-		'foldercolor' => (($conf_media_icon_general['style'] == 'foldercolor') ? 'selected = "selected"' : ""),
-	)
-);
+
+$media_icon_style_selected = array();
+foreach ($conf_media_icon_general['styles'] as $media_icon_style)
+	$media_icon_style_selected[$media_icon_style] = (($conf_media_icon_general['style'] == $media_icon_style) ? 'selected="selected"' : '');
+
+$template->assign('media_icon_style_selected', $media_icon_style_selected);
 $template->assign('media_icon_support',$conf_media_icon_general['support']);
 $template->assign(
Index: /extensions/Media_Icon/admin/admin_general.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin_general.tpl	(revision 19373)
+++ /extensions/Media_Icon/admin/admin_general.tpl	(revision 19374)
@@ -22,8 +22,7 @@
 	<p class="media_icon_bold_center">	
 		<select id="media_icon_select" name="media_icon_style">
-			<option value="logo" {$media_icon_style_selected.logo}>{'Logo'|@translate}</option>
-			<option value="photo" {$media_icon_style_selected.photo}>{'Photo'|@translate}</option>
-			<option value="folder" {$media_icon_style_selected.folder}>{'Folder'|@translate}</option>
-			<option value="foldercolor" {$media_icon_style_selected.foldercolor}>{'Folder color'|@translate}</option>
+			{foreach from=$media_icon_style_selected item=media_icon_style_selected_value key=media_icon_style_selected_key}
+				<option value="{$media_icon_style_selected_key}" {$media_icon_style_selected_value}>{$media_icon_style_selected_key|@translate}</option>
+			{/foreach}
 		</select>
 	</p>
Index: /extensions/Media_Icon/admin/admin_help.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin_help.tpl	(revision 19373)
+++ /extensions/Media_Icon/admin/admin_help.tpl	(revision 19374)
@@ -37,4 +37,37 @@
 </p>
 <p class="media_icon_help_content">
-	{''|@translate}
+	{'The icons are brought to you thanks to:'|@translate}
+	<ul>
+		<li>
+			<b>{'logo'|@translate}</b> - {'Official logos and Wikipedia for video and music icons.'|@translate}
+		</li>
+		<li>
+			<b>{'page'|@translate}</b> - {'Part of the RRZE icon set.'|@translate}
+			<ul>
+				<li type="square"><a href="http://commons.wikimedia.org/wiki/Category:RRZE-Icon-Set">{'Download website'|@translate}</a></li>
+				<li type="square"><a href="http://commons.wikimedia.org/wiki/User:RRZEicons">{'Author website'|@translate}</a></li>
+			</ul>
+		</li>
+		<li>
+			<b>{'folder'|@translate}</b> - {'Part of the DelliOS System icon pack by Wendell Fernandes.'|@translate}
+			<ul>
+				<li type="square"><a href="http://www.iconspedia.com/pack/dellios-system-2356">{'Download website'|@translate}</a></li>
+				<li type="square"><a href="http://www.dellustrations.com/">{'Author website'|@translate}</a></li>
+			</ul>
+		</li>
+		<li>
+			<b>{'foldercolor'|@translate}</b> - {'Part of the DelliOS System icon pack by Wendell Fernandes.'|@translate}
+			<ul>
+				<li type="square"><a href="http://www.iconspedia.com/pack/dellios-system-2356">{'Download website'|@translate}</a></li>
+				<li type="square"><a href="http://www.dellustrations.com/">{'Author website'|@translate}</a></li>
+			</ul>
+		</li>
+		<li>
+			<b>{'folderpicture'|@translate}</b> - {'Part of the iSuite Revoked pack by Prax-08.'|@translate}
+			<ul>
+				<li type="square"><a href="http://icones.pro/pack/isuite-revoked">{'Download website'|@translate}</a></li>
+				<li type="square"><a href="http://prax-08.deviantart.com/">{'Author website'|@translate}</a></li>
+			</ul>
+		</li>
+	</ul>
 </p>
Index: /extensions/Media_Icon/config_default.inc.php
===================================================================
--- /extensions/Media_Icon/config_default.inc.php	(revision 19373)
+++ /extensions/Media_Icon/config_default.inc.php	(revision 19374)
@@ -2,4 +2,11 @@
 
 $config_default_general = array(
+	'styles' => array(
+		'logo' => 'logo',
+		'page' => 'page',
+		'folder' => 'folder',
+		'foldercolor' => 'foldercolor',
+		'folderpicture' => 'folderpicture',
+	),
 	'style' => 'logo',
 	'support' => array(
Index: /extensions/Media_Icon/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19373)
+++ /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19374)
@@ -10,8 +10,9 @@
 $lang['Style'] = 'Style';
 $lang['Icon style:'] = 'Icon style:';
-$lang['Logo'] = 'Logo';
-$lang['Photo'] = 'Photo';
-$lang['Folder'] = 'Folder';
-$lang['Folder color'] = 'Folder color';
+$lang['logo'] = 'Logo';
+$lang['page'] = 'Page';
+$lang['folder'] = 'Folder';
+$lang['foldercolor'] = 'Folder color';
+$lang['folderpicture'] = 'Folder picture';
 $lang['Types of files you want to add an icon to:'] = 'Types of files you want to add an icon to:';
 $lang['Click on submit to see changes.'] = 'Click on submit to see changes.';
@@ -57,3 +58,10 @@
 $lang['I spent a lot of time to make this plugin works. If it is useful for you, do not hesitate a donation ;) Thank you for your generosity.'] = 'I spent a lot of time to make this plugin works. If it is useful for you, do not hesitate a donation ;) Thank you for your generosity.';
 $lang['Credits'] = 'Credits';
+$lang['The icons are brought to you thanks to:'] = 'The icons are brought to you thanks to:';
+$lang['Official logos and Wikipedia for video and music icons.'] = 'Official logos and Wikipedia for video and music icons.';
+$lang['Part of the DelliOS System icon pack by Wendell Fernandes.'] = 'Part of the DelliOS System icon pack by Wendell Fernandes.';
+$lang['Download website'] = 'Download website';
+$lang['Author website'] = 'Author website';
+$lang['Part of the RRZE icon set.'] = 'Part of the RRZE icon set.';
+$lang['Part of the iSuite Revoked pack by Prax-08.'] = 'Part of the iSuite Revoked pack by Prax-08.';
 ?>
Index: /extensions/Media_Icon/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19373)
+++ /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19374)
@@ -10,8 +10,9 @@
 $lang['Style'] = 'Estilo';
 $lang['Icon style:'] = 'Estilo de los iconos :';
-$lang['Logo'] = 'Logo';
-$lang['Photo'] = 'Foto';
-$lang['Folder'] = 'Carpeta';
-$lang['Folder color'] = 'Carpeta en color';
+$lang['logo'] = 'Logo';
+$lang['page'] = 'Pajina';
+$lang['folder'] = 'Carpeta';
+$lang['foldercolor'] = 'Carpeta en color';
+$lang['folderpicture'] = 'Carpeta imagen';
 $lang['Types of files you want to add an icon to:'] = 'Tipos de archivos a los que desea añadir un icono :';
 $lang['Click on submit to see changes.'] = 'Haga clic en enviar para ver los cambios.';
@@ -57,3 +58,10 @@
 $lang['I spent a lot of time to make this plugin works. If it is useful for you, do not hesitate a donation ;) Thank you for your generosity.'] = 'Me pasé un montón de tiempo para hacer esto plugin funcionar. Si esta útil para usted, no dude en ponerse una donación ;) Gracias por su generosidad.';
 $lang['Credits'] = 'Créditos';
+$lang['The icons are brought to you thanks to:'] = 'Iconos de las siguientes fuentes :';
+$lang['Official logos and Wikipedia for video and music icons.'] = 'Logos oficiales y Wikipedia para los iconos de música y video.';
+$lang['Part of the DelliOS System icon pack by Wendell Fernandes.'] = 'Parte de la DelliOS System icon pack por Wendell Fernandes.';
+$lang['Download website'] = 'Descargar sitio';
+$lang['Author website'] = 'Autor sitio';
+$lang['Part of the RRZE icon set.'] = 'Parte de RRZE icon set.';
+$lang['Part of the iSuite Revoked pack by Prax-08.'] = 'Parte de iSuite Revoked or Prax-08.';
 ?>
Index: /extensions/Media_Icon/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19373)
+++ /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19374)
@@ -10,8 +10,9 @@
 $lang['Style'] = 'Style';
 $lang['Icon style:'] = 'Style d\'icône :';
-$lang['Logo'] = 'Logo';
-$lang['Photo'] = 'Photo';
-$lang['Folder'] = 'Dossier';
-$lang['Folder color'] = 'Dossier en couleurs';
+$lang['logo'] = 'Logo';
+$lang['page'] = 'Page';
+$lang['folder'] = 'Dossier';
+$lang['foldercolor'] = 'Dossier en couleurs';
+$lang['folderpicture'] = 'Dossier image';
 $lang['Types of files you want to add an icon to:'] = 'Types de fichiers pour lesquels vous voulez ajouter une icône :';
 $lang['Click on submit to see changes.'] = 'Cliquez sur valider pour voir les changements apparaître.';
@@ -52,8 +53,15 @@
 $lang['The type of icon to display. Click on submit to see changes in the result pane.'] = 'Le type d\'icône à afficher. Cliquer sur valider pour voir les modifications dans le paneau de résultat.';
 $lang['The type of files you want to add an icon to. Uncheck a type of file to deactivate the display of the icon for this type of file. <i>Not displayed</i> is then displayed in the result pane.'] = 'Le type de fichier pour lesquels vous voulez ajouter une icône. Décocher un type de fichier pour désactiver l\'affichage de l\'icône pour ce type de fichier. <i>Non affiché</i> s\'affiche alors dans le panneau de résultat.';
-$lang['The corner of the thumbnail in which the icon will be displayed.'] = 'Le coin de la miniature dans lequel l\icône sera affichée.';
-$lang['The opacity of the icon.'] = 'La transparence de l\icône.';
+$lang['The corner of the thumbnail in which the icon will be displayed.'] = 'Le coin de la miniature dans lequel l\'icône sera affichée.';
+$lang['The opacity of the icon.'] = 'La transparence de l\'icône.';
 $lang['Donate'] = 'Dons';
 $lang['I spent a lot of time to make this plugin works. If it is useful for you, do not hesitate a donation ;) Thank you for your generosity.'] = 'J\'ai passé beaucoup de temps à développer cette extension. Si elle vous est utile, n\'hésitez pas à faire un don ;) Merci pour votre générosité.';
 $lang['Credits'] = 'Crédits';
+$lang['The icons are brought to you thanks to:'] = 'Les sources des icônes sont les suivantes :';
+$lang['Official logos and Wikipedia for video and music icons.'] = 'Logos officiels et Wikipedia pour les icônes musique et vidéo.';
+$lang['Part of the DelliOS System icon pack by Wendell Fernandes.'] = 'Fait partie du pack d\'icônes DelliOS System de Wendell Fernandes.';
+$lang['Download website'] = 'Site de téléchargement';
+$lang['Author website'] = 'Site de l\'auteur';
+$lang['Part of the RRZE icon set.'] = 'Fait partie de RRZE icon set.';
+$lang['Part of the iSuite Revoked pack by Prax-08.'] = 'Fait partie du pack iSuite Revoked de Prax-08.';
 ?>
Index: tensions/Media_Icon/template/folder_media_icon.css
===================================================================
--- /extensions/Media_Icon/template/folder_media_icon.css	(revision 19373)
+++ 	(revision )
@@ -1,43 +1,0 @@
-.media_icon_youtube, .media_icon_admin_youtube{
-	background: transparent url('img/folder_video.png') no-repeat;
-}
-
-.media_icon_vimeo, .media_icon_admin_vimeo{
-	background: transparent url('img/folder_video.png') no-repeat;
-}
-
-.media_icon_dailymotion, .media_icon_admin_dailymotion{
-	background: transparent url('img/folder_video.png') no-repeat;
-}
-
-.media_icon_wat, .media_icon_admin_wat{
-	background: transparent url('img/folder_video.png') no-repeat;
-}
-
-.media_icon_wideo, .media_icon_admin_wideo{
-	background: transparent url('img/folder_video.png') no-repeat;
-}
-
-.media_icon_video, .media_icon_admin_video{
-	background: transparent url('img/folder_video.png') no-repeat;
-}
-
-.media_icon_music, .media_icon_admin_music{
-	background: transparent url('img/folder_music.png') no-repeat;
-}
-
-.media_icon_pdf, .media_icon_admin_pdf{
-	background: transparent url('img/folder_pdf.png') no-repeat;
-}
-
-.media_icon_document, .media_icon_admin_document{
-	background: transparent url('img/folder_document.png') no-repeat;
-}
-
-.media_icon_spreadsheet, .media_icon_admin_spreadsheet{
-	background: transparent url('img/folder_spreadsheet.png') no-repeat;
-}
-
-.media_icon_presentation, .media_icon_admin_presentation{
-	background: transparent url('img/folder_presentation.png') no-repeat;
-}
Index: tensions/Media_Icon/template/foldercolor_media_icon.css
===================================================================
--- /extensions/Media_Icon/template/foldercolor_media_icon.css	(revision 19373)
+++ 	(revision )
@@ -1,43 +1,0 @@
-.media_icon_youtube, .media_icon_admin_youtube{
-	background: transparent url('img/foldercolor_video.png') no-repeat;
-}
-
-.media_icon_vimeo, .media_icon_admin_vimeo{
-	background: transparent url('img/foldercolor_video.png') no-repeat;
-}
-
-.media_icon_dailymotion, .media_icon_admin_dailymotion{
-	background: transparent url('img/foldercolor_video.png') no-repeat;
-}
-
-.media_icon_wat, .media_icon_admin_wat{
-	background: transparent url('img/foldercolor_video.png') no-repeat;
-}
-
-.media_icon_wideo, .media_icon_admin_wideo{
-	background: transparent url('img/foldercolor_video.png') no-repeat;
-}
-
-.media_icon_video, .media_icon_admin_video{
-	background: transparent url('img/foldercolor_video.png') no-repeat;
-}
-
-.media_icon_music, .media_icon_admin_music{
-	background: transparent url('img/foldercolor_music.png') no-repeat;
-}
-
-.media_icon_pdf, .media_icon_admin_pdf{
-	background: transparent url('img/foldercolor_pdf.png') no-repeat;
-}
-
-.media_icon_document, .media_icon_admin_document{
-	background: transparent url('img/foldercolor_document.png') no-repeat;
-}
-
-.media_icon_spreadsheet, .media_icon_admin_spreadsheet{
-	background: transparent url('img/foldercolor_spreadsheet.png') no-repeat;
-}
-
-.media_icon_presentation, .media_icon_admin_presentation{
-	background: transparent url('img/foldercolor_presentation.png') no-repeat;
-}
Index: tensions/Media_Icon/template/logo_media_icon.css
===================================================================
--- /extensions/Media_Icon/template/logo_media_icon.css	(revision 19373)
+++ 	(revision )
@@ -1,43 +1,0 @@
-.media_icon_youtube, .media_icon_admin_youtube{
-	background: transparent url('img/logo_youtube.png') no-repeat;
-}
-
-.media_icon_vimeo, .media_icon_admin_vimeo{
-	background: transparent url('img/logo_vimeo.png') no-repeat;
-}
-
-.media_icon_dailymotion, .media_icon_admin_dailymotion{
-	background: transparent url('img/logo_dailymotion.png') no-repeat;
-}
-
-.media_icon_wat, .media_icon_admin_wat{
-	background: transparent url('img/logo_wat.png') no-repeat;
-}
-
-.media_icon_wideo, .media_icon_admin_wideo{
-	background: transparent url('img/logo_wideo.png') no-repeat;
-}
-
-.media_icon_video, .media_icon_admin_video{
-	background: transparent url('img/logo_video.png') no-repeat;
-}
-
-.media_icon_music, .media_icon_admin_music{
-	background: transparent url('img/logo_music.png') no-repeat;
-}
-
-.media_icon_pdf, .media_icon_admin_pdf{
-	background: transparent url('img/logo_pdf.png') no-repeat;
-}
-
-.media_icon_document, .media_icon_admin_document{
-	background: transparent url('img/logo_document.png') no-repeat;
-}
-
-.media_icon_spreadsheet, .media_icon_admin_spreadsheet{
-	background: transparent url('img/logo_spreadsheet.png') no-repeat;
-}
-
-.media_icon_presentation, .media_icon_admin_presentation{
-	background: transparent url('img/logo_presentation.png') no-repeat;
-}
Index: /extensions/Media_Icon/template/media_icon.css
===================================================================
--- /extensions/Media_Icon/template/media_icon.css	(revision 19373)
+++ /extensions/Media_Icon/template/media_icon.css	(revision 19374)
@@ -3,4 +3,5 @@
 	height: 60px;
 	z-index:99;
+	position: absolute;
 }
 
@@ -10,93 +11,93 @@
 
  .media_icon_youtube_logo, .media_icon_admin_youtube_logo {
-	background: transparent url('img/logo_youtube.png') no-repeat;
+	background: transparent url('icons/logo_youtube.png') no-repeat;
 }
 
 .media_icon_vimeo_logo, .media_icon_admin_vimeo_logo {
-	background: transparent url('img/logo_vimeo.png') no-repeat;
+	background: transparent url('icons/logo_vimeo.png') no-repeat;
 }
 
 .media_icon_dailymotion_logo, .media_icon_admin_dailymotion_logo {
-	background: transparent url('img/logo_dailymotion.png') no-repeat;
+	background: transparent url('icons/logo_dailymotion.png') no-repeat;
 }
 
 .media_icon_wat_logo, .media_icon_admin_wat_logo {
-	background: transparent url('img/logo_wat.png') no-repeat;
+	background: transparent url('icons/logo_wat.png') no-repeat;
 }
 
 .media_icon_wideo_logo, .media_icon_admin_wideo_logo {
-	background: transparent url('img/logo_wideo.png') no-repeat;
+	background: transparent url('icons/logo_wideo.png') no-repeat;
 }
 
 .media_icon_video_logo, .media_icon_admin_video_logo {
-	background: transparent url('img/logo_video.png') no-repeat;
+	background: transparent url('icons/logo_video.png') no-repeat;
 }
 
 .media_icon_music_logo, .media_icon_admin_music_logo {
-	background: transparent url('img/logo_music.png') no-repeat;
+	background: transparent url('icons/logo_music.png') no-repeat;
 }
 
 .media_icon_pdf_logo, .media_icon_admin_pdf_logo {
-	background: transparent url('img/logo_pdf.png') no-repeat;
+	background: transparent url('icons/logo_pdf.png') no-repeat;
 }
 
 .media_icon_document_logo, .media_icon_admin_document_logo {
-	background: transparent url('img/logo_document.png') no-repeat;
+	background: transparent url('icons/logo_document.png') no-repeat;
 }
 
 .media_icon_spreadsheet_logo, .media_icon_admin_spreadsheet_logo {
-	background: transparent url('img/logo_spreadsheet.png') no-repeat;
+	background: transparent url('icons/logo_spreadsheet.png') no-repeat;
 }
 
 .media_icon_presentation_logo, .media_icon_admin_presentation_logo {
-	background: transparent url('img/logo_presentation.png') no-repeat;
-}
- 
-/* +-----------------------------------------------------------------------+
- * | photo                                                                 |
- * +-----------------------------------------------------------------------+ */
- 
-.media_icon_youtube_photo, .media_icon_admin_youtube_photo {
-	background: transparent url('img/photo_video.png') no-repeat;
-}
-
-.media_icon_vimeo_photo, .media_icon_admin_vimeo_photo {
-	background: transparent url('img/photo_video.png') no-repeat;
-}
-
-.media_icon_dailymotion_photo, .media_icon_admin_dailymotion_photo {
-	background: transparent url('img/photo_video.png') no-repeat;
-}
-
-.media_icon_wat_photo, .media_icon_admin_wat_photo {
-	background: transparent url('img/photo_video.png') no-repeat;
-}
-
-.media_icon_wideo_photo, .media_icon_admin_wideo_photo {
-	background: transparent url('img/photo_video.png') no-repeat;
-}
-
-.media_icon_video_photo, .media_icon_admin_video_photo {
-	background: transparent url('img/photo_video.png') no-repeat;
-}
-
-.media_icon_music_photo, .media_icon_admin_music_photo {
-	background: transparent url('img/photo_music.png') no-repeat;
-}
-
-.media_icon_pdf_photo, .media_icon_admin_pdf_photo {
-	background: transparent url('img/photo_pdf.png') no-repeat;
-}
-
-.media_icon_document_photo, .media_icon_admin_document_photo {
-	background: transparent url('img/photo_document.png') no-repeat;
-}
-
-.media_icon_spreadsheet_photo, .media_icon_admin_spreadsheet_photo {
-	background: transparent url('img/photo_spreadsheet.png') no-repeat;
-}
-
-.media_icon_presentation_photo, .media_icon_admin_presentation_photo {
-	background: transparent url('img/photo_presentation.png') no-repeat;
+	background: transparent url('icons/logo_presentation.png') no-repeat;
+}
+ 
+/* +-----------------------------------------------------------------------+
+ * | page                                                                 |
+ * +-----------------------------------------------------------------------+ */
+ 
+.media_icon_youtube_page, .media_icon_admin_youtube_page {
+	background: transparent url('icons/page_video.png') no-repeat;
+}
+
+.media_icon_vimeo_page, .media_icon_admin_vimeo_page {
+	background: transparent url('icons/page_video.png') no-repeat;
+}
+
+.media_icon_dailymotion_page, .media_icon_admin_dailymotion_page {
+	background: transparent url('icons/page_video.png') no-repeat;
+}
+
+.media_icon_wat_page, .media_icon_admin_wat_page {
+	background: transparent url('icons/page_video.png') no-repeat;
+}
+
+.media_icon_wideo_page, .media_icon_admin_wideo_page {
+	background: transparent url('icons/page_video.png') no-repeat;
+}
+
+.media_icon_video_page, .media_icon_admin_video_page {
+	background: transparent url('icons/page_video.png') no-repeat;
+}
+
+.media_icon_music_page, .media_icon_admin_music_page {
+	background: transparent url('icons/page_music.png') no-repeat;
+}
+
+.media_icon_pdf_page, .media_icon_admin_pdf_page {
+	background: transparent url('icons/page_pdf.png') no-repeat;
+}
+
+.media_icon_document_page, .media_icon_admin_document_page {
+	background: transparent url('icons/page_document.png') no-repeat;
+}
+
+.media_icon_spreadsheet_page, .media_icon_admin_spreadsheet_page {
+	background: transparent url('icons/page_spreadsheet.png') no-repeat;
+}
+
+.media_icon_presentation_page, .media_icon_admin_presentation_page {
+	background: transparent url('icons/page_presentation.png') no-repeat;
 }
 
@@ -106,45 +107,45 @@
  
  .media_icon_youtube_folder, .media_icon_admin_youtube_folder {
-	background: transparent url('img/folder_video.png') no-repeat;
+	background: transparent url('icons/folder_video.png') no-repeat;
 }
 
 .media_icon_vimeo_folder, .media_icon_admin_vimeo_folder {
-	background: transparent url('img/folder_video.png') no-repeat;
+	background: transparent url('icons/folder_video.png') no-repeat;
 }
 
 .media_icon_dailymotion_folder, .media_icon_admin_dailymotion_folder {
-	background: transparent url('img/folder_video.png') no-repeat;
+	background: transparent url('icons/folder_video.png') no-repeat;
 }
 
 .media_icon_wat_folder, .media_icon_admin_wat_folder {
-	background: transparent url('img/folder_video.png') no-repeat;
+	background: transparent url('icons/folder_video.png') no-repeat;
 }
 
 .media_icon_wideo_folder, .media_icon_admin_wideo_folder {
-	background: transparent url('img/folder_video.png') no-repeat;
+	background: transparent url('icons/folder_video.png') no-repeat;
 }
 
 .media_icon_video_folder, .media_icon_admin_video_folder {
-	background: transparent url('img/folder_video.png') no-repeat;
+	background: transparent url('icons/folder_video.png') no-repeat;
 }
 
 .media_icon_music_folder, .media_icon_admin_music_folder {
-	background: transparent url('img/folder_music.png') no-repeat;
+	background: transparent url('icons/folder_music.png') no-repeat;
 }
 
 .media_icon_pdf_folder, .media_icon_admin_pdf_folder {
-	background: transparent url('img/folder_pdf.png') no-repeat;
+	background: transparent url('icons/folder_pdf.png') no-repeat;
 }
 
 .media_icon_document_folder, .media_icon_admin_document_folder {
-	background: transparent url('img/folder_document.png') no-repeat;
+	background: transparent url('icons/folder_document.png') no-repeat;
 }
 
 .media_icon_spreadsheet_folder, .media_icon_admin_spreadsheet_folder {
-	background: transparent url('img/folder_spreadsheet.png') no-repeat;
+	background: transparent url('icons/folder_spreadsheet.png') no-repeat;
 }
 
 .media_icon_presentation_folder, .media_icon_admin_presentation_folder {
-	background: transparent url('img/folder_presentation.png') no-repeat;
+	background: transparent url('icons/folder_presentation.png') no-repeat;
 }
 
@@ -154,44 +155,92 @@
  
  .media_icon_youtube_foldercolor, .media_icon_admin_youtube_foldercolor {
-	background: transparent url('img/foldercolor_video.png') no-repeat;
+	background: transparent url('icons/foldercolor_video.png') no-repeat;
 }
 
 .media_icon_vimeo_foldercolor, .media_icon_admin_vimeo_foldercolor {
-	background: transparent url('img/foldercolor_video.png') no-repeat;
+	background: transparent url('icons/foldercolor_video.png') no-repeat;
 }
 
 .media_icon_dailymotion_foldercolor, .media_icon_admin_dailymotion_foldercolor {
-	background: transparent url('img/foldercolor_video.png') no-repeat;
+	background: transparent url('icons/foldercolor_video.png') no-repeat;
 }
 
 .media_icon_wat_foldercolor, .media_icon_admin_wat_foldercolor {
-	background: transparent url('img/foldercolor_video.png') no-repeat;
+	background: transparent url('icons/foldercolor_video.png') no-repeat;
 }
 
 .media_icon_wideo_foldercolor, .media_icon_admin_wideo_foldercolor {
-	background: transparent url('img/foldercolor_video.png') no-repeat;
+	background: transparent url('icons/foldercolor_video.png') no-repeat;
 }
 
 .media_icon_video_foldercolor, .media_icon_admin_video_foldercolor {
-	background: transparent url('img/foldercolor_video.png') no-repeat;
+	background: transparent url('icons/foldercolor_video.png') no-repeat;
 }
 
 .media_icon_music_foldercolor, .media_icon_admin_music_foldercolor {
-	background: transparent url('img/foldercolor_music.png') no-repeat;
+	background: transparent url('icons/foldercolor_music.png') no-repeat;
 }
 
 .media_icon_pdf_foldercolor, .media_icon_admin_pdf_foldercolor {
-	background: transparent url('img/foldercolor_pdf.png') no-repeat;
+	background: transparent url('icons/foldercolor_pdf.png') no-repeat;
 }
 
 .media_icon_document_foldercolor, .media_icon_admin_document_foldercolor {
-	background: transparent url('img/foldercolor_document.png') no-repeat;
+	background: transparent url('icons/foldercolor_document.png') no-repeat;
 }
 
 .media_icon_spreadsheet_foldercolor, .media_icon_admin_spreadsheet_foldercolor {
-	background: transparent url('img/foldercolor_spreadsheet.png') no-repeat;
+	background: transparent url('icons/foldercolor_spreadsheet.png') no-repeat;
 }
 
 .media_icon_presentation_foldercolor, .media_icon_admin_presentation_foldercolor {
-	background: transparent url('img/foldercolor_presentation.png') no-repeat;
-}
+	background: transparent url('icons/foldercolor_presentation.png') no-repeat;
+}
+
+/* +-----------------------------------------------------------------------+
+ * | folderpicture                                                           |
+ * +-----------------------------------------------------------------------+ */
+ 
+ .media_icon_youtube_folderpicture, .media_icon_admin_youtube_folderpicture {
+	background: transparent url('icons/folderpicture_youtube.png') no-repeat;
+}
+
+.media_icon_vimeo_folderpicture, .media_icon_admin_vimeo_folderpicture {
+	background: transparent url('icons/folderpicture_video.png') no-repeat;
+}
+
+.media_icon_dailymotion_folderpicture, .media_icon_admin_dailymotion_folderpicture {
+	background: transparent url('icons/folderpicture_video.png') no-repeat;
+}
+
+.media_icon_wat_folderpicture, .media_icon_admin_wat_folderpicture {
+	background: transparent url('icons/folderpicture_video.png') no-repeat;
+}
+
+.media_icon_wideo_folderpicture, .media_icon_admin_wideo_folderpicture {
+	background: transparent url('icons/folderpicture_video.png') no-repeat;
+}
+
+.media_icon_video_folderpicture, .media_icon_admin_video_folderpicture {
+	background: transparent url('icons/folderpicture_video.png') no-repeat;
+}
+
+.media_icon_music_folderpicture, .media_icon_admin_music_folderpicture {
+	background: transparent url('icons/folderpicture_music.png') no-repeat;
+}
+
+.media_icon_pdf_folderpicture, .media_icon_admin_pdf_folderpicture {
+	background: transparent url('icons/folderpicture_pdf.png') no-repeat;
+}
+
+.media_icon_document_folderpicture, .media_icon_admin_document_folderpicture {
+	background: transparent url('icons/folderpicture_document.png') no-repeat;
+}
+
+.media_icon_spreadsheet_folderpicture, .media_icon_admin_spreadsheet_folderpicture {
+	background: transparent url('icons/folderpicture_spreadsheet.png') no-repeat;
+}
+
+.media_icon_presentation_folderpicture, .media_icon_admin_presentation_folderpicture {
+	background: transparent url('icons/folderpicture_presentation.png') no-repeat;
+}
Index: /extensions/Media_Icon/template/media_icon_picture.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon_picture.tpl	(revision 19373)
+++ /extensions/Media_Icon/template/media_icon_picture.tpl	(revision 19374)
@@ -7,5 +7,4 @@
 		moz-opacity: {$media_icon_advanced.opacity/100};
 		filter:alpha(opacity={$media_icon_advanced.opacity});
-		position: absolute;
 		{$media_icon_advanced.xposition};
 		{$media_icon_advanced.yposition};
Index: /extensions/Media_Icon/template/media_icon_thumbnails.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon_thumbnails.tpl	(revision 19373)
+++ /extensions/Media_Icon/template/media_icon_thumbnails.tpl	(revision 19374)
@@ -7,5 +7,4 @@
 		moz-opacity: {$media_icon_advanced.opacity/100};
 		filter:alpha(opacity={$media_icon_advanced.opacity});
-		position: absolute;
 		{$media_icon_advanced.xposition};
 		{$media_icon_advanced.yposition};
Index: tensions/Media_Icon/template/photo_media_icon.css
===================================================================
--- /extensions/Media_Icon/template/photo_media_icon.css	(revision 19373)
+++ 	(revision )
@@ -1,43 +1,0 @@
-.media_icon_youtube, .media_icon_admin_youtube{
-	background: transparent url('img/photo_video.png') no-repeat;
-}
-
-.media_icon_vimeo, .media_icon_admin_vimeo{
-	background: transparent url('img/photo_video.png') no-repeat;
-}
-
-.media_icon_dailymotion, .media_icon_admin_dailymotion{
-	background: transparent url('img/photo_video.png') no-repeat;
-}
-
-.media_icon_wat, .media_icon_admin_wat{
-	background: transparent url('img/photo_video.png') no-repeat;
-}
-
-.media_icon_wideo, .media_icon_admin_wideo{
-	background: transparent url('img/photo_video.png') no-repeat;
-}
-
-.media_icon_video, .media_icon_admin_video{
-	background: transparent url('img/photo_video.png') no-repeat;
-}
-
-.media_icon_music, .media_icon_admin_music{
-	background: transparent url('img/photo_music.png') no-repeat;
-}
-
-.media_icon_pdf, .media_icon_admin_pdf{
-	background: transparent url('img/photo_pdf.png') no-repeat;
-}
-
-.media_icon_document, .media_icon_admin_document{
-	background: transparent url('img/photo_document.png') no-repeat;
-}
-
-.media_icon_spreadsheet, .media_icon_admin_spreadsheet{
-	background: transparent url('img/photo_spreadsheet.png') no-repeat;
-}
-
-.media_icon_presentation, .media_icon_admin_presentation{
-	background: transparent url('img/photo_presentation.png') no-repeat;
-}