Index: extensions/CryptograPHP/admin.php
===================================================================
--- extensions/CryptograPHP/admin.php	(revision 19346)
+++ extensions/CryptograPHP/admin.php	(revision 19428)
@@ -3,21 +3,23 @@
 
 global $pwg_loaded_plugins;
-$loaded = array();
-if (isset($pwg_loaded_plugins['ContactForm'])) $loaded['contactform'] = true;
-if (isset($pwg_loaded_plugins['Comments_on_Albums'])) $loaded['category'] = true;
-if (isset($pwg_loaded_plugins['GuestBook'])) $loaded['guestbook'] = true;
+$loaded = array(
+  'contactform' => isset($pwg_loaded_plugins['ContactForm']),
+  'category' => isset($pwg_loaded_plugins['Comments_on_Albums']),
+  'guestbook' => isset($pwg_loaded_plugins['GuestBook']),
+  );
 
-// $conf['cryptographp'] = unserialize($conf['cryptographp']);
+
 load_language('plugin.lang', CRYPTO_PATH);
 
+
 if ( isset($_POST['submit']))
-{
+{  
   $conf['cryptographp'] = array(
     'activate_on'     => array(
           'picture'     => isset($_POST['activate_on']['picture']),
-          'category'    => isset($_POST['activate_on']['category']) || !isset($loaded['category']),
+          'category'    => isset($_POST['activate_on']['category']) || !$loaded['category'],
           'register'    => isset($_POST['activate_on']['register']),
-          'contactform' => isset($_POST['activate_on']['contactform']) || !isset($loaded['contactform']),
-          'guestbook'   => isset($_POST['activate_on']['guestbook']) || !isset($loaded['guestbook']),
+          'contactform' => isset($_POST['activate_on']['contactform']) || !$loaded['contactform'],
+          'guestbook'   => isset($_POST['activate_on']['guestbook']) || !$loaded['guestbook'],
           ),
     'comments_action' => $_POST['comments_action'],
@@ -36,4 +38,5 @@
     'noise_color'     => $_POST['noise_color'],
     'ttf_file'        => $_POST['ttf_file'],
+    'button_color'    => $_POST['button_color'],
     );
   
Index: extensions/CryptograPHP/include/category.inc.php
===================================================================
--- extensions/CryptograPHP/include/category.inc.php	(revision 19346)
+++ extensions/CryptograPHP/include/category.inc.php	(revision 19428)
@@ -2,5 +2,5 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-load_language('plugin.lang', CRYPTO_PATH);
+include(CRYPTO_PATH.'include/common.inc.php');
 add_event_handler('loc_begin_index', 'add_crypto');
 add_event_handler('user_comment_check_albums', 'check_crypto', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
@@ -9,7 +9,4 @@
 {
   global $template;
-  
-  if (!is_a_guest()) return;
-  
   $template->set_prefilter('comments_on_albums', 'prefilter_crypto');
 }
@@ -17,17 +14,6 @@
 function prefilter_crypto($content, $smarty)
 {
-  global $conf;
-  
   $search = '{$comment_add.CONTENT}</textarea></p>';
-  $replace = $search.'
-				<p><label>{\''.($conf['cryptographp']['captcha_type']=='string'?'Enter code':'Solve equation').'\'|@translate} :</label></p>
-				<p>
-				  <img id="captcha" src="{$ROOT_URL}'.CRYPTO_PATH.'securimage/securimage_show.php" alt="CAPTCHA Image">
-				  <a href="#" onclick="document.getElementById(\'captcha\').src = \'{$ROOT_URL}'.CRYPTO_PATH.'securimage/securimage_show.php?\' + Math.random(); return false">
-				    <img src="{$ROOT_URL}'.CRYPTO_PATH.'template/refresh.png"></a>
-          <input type="text" name="captcha_code" style="width:'.$conf['cryptographp']['code_length'].'em;" maxlength="'.$conf['cryptographp']['code_length'].'" />
-				</p>';
-
-  return str_replace($search, $replace, $content);
+  return str_replace($search, $search."\n{\$CRYPTOGRAPHP}", $content);
 }
 
Index: extensions/CryptograPHP/include/comment.tpl
===================================================================
--- extensions/CryptograPHP/include/comment.tpl	(revision 19428)
+++ extensions/CryptograPHP/include/comment.tpl	(revision 19428)
@@ -0,0 +1,7 @@
+<p><label>{if $CRYPTO.captcha_type=='string'}{'Enter code'|@translate}{else}{'Solve equation'|@translate}{/if} :</label></p>
+<p>
+  <img id="captcha" src="{$CRYPTO_PATH}securimage/securimage_show.php" alt="CAPTCHA Image">
+  <a href="#" onclick="document.getElementById('captcha').src = '{$CRYPTO_PATH}securimage/securimage_show.php?'+Math.random(); return false;">
+    <img src="{$CRYPTO_PATH}template/refresh_{$CRYPTO.button_color}.png"></a>
+  <input type="text" name="captcha_code" style="width:{$CRYPTO.code_length}em;" maxlength="{$CRYPTO.code_length}" />
+</p>
Index: extensions/CryptograPHP/include/common.inc.php
===================================================================
--- extensions/CryptograPHP/include/common.inc.php	(revision 19428)
+++ extensions/CryptograPHP/include/common.inc.php	(revision 19428)
@@ -0,0 +1,21 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $template;
+
+if (isset($conf['cryptographp_button_color']))
+{
+  $conf['cryptographp']['button_color'] = $conf['cryptographp_button_color'];
+}
+
+load_language('plugin.lang', CRYPTO_PATH);
+
+$template->assign(array(
+  'CRYPTO' => $conf['cryptographp'],
+  'CRYPTO_PATH' => get_absolute_root_url().CRYPTO_PATH,
+  ));
+  
+$template->set_filename('cryptographp', realpath(CRYPTO_PATH.'include/'.$conf['cryptographp']['template'].'.tpl'));
+$template->assign_var_from_handle('CRYPTOGRAPHP', 'cryptographp');
+
+?>
Index: extensions/CryptograPHP/include/contactform.inc.php
===================================================================
--- extensions/CryptograPHP/include/contactform.inc.php	(revision 19346)
+++ extensions/CryptograPHP/include/contactform.inc.php	(revision 19428)
@@ -2,5 +2,5 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-load_language('plugin.lang', CRYPTO_PATH);
+include(CRYPTO_PATH.'include/common.inc.php');
 add_event_handler('loc_begin_index', 'add_crypto');
 add_event_handler('contact_form_check', 'check_crypto', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
@@ -9,7 +9,4 @@
 {
   global $template;
-
-  if (!is_a_guest()) return;
-
   $template->set_prefilter('index', 'prefilter_crypto');
 }
@@ -17,26 +14,6 @@
 function prefilter_crypto($content, $smarty)
 {
-  global $conf;
-  
   $search = '{$contact.content}</textarea></td>';
-  $replace = $search.'
-      </tr>     
-      <tr>
-        <td class="title">
-          {\''.($conf['cryptographp']['captcha_type']=='string'?'Enter code':'Solve equation').'\'|@translate}
-        </td>
-        <td>
-          <input type="text" name="captcha_code" id="captcha_code" size="'.($conf['cryptographp']['code_length']+1).'" maxlength="'.$conf['cryptographp']['code_length'].'" />
-          <img id="captcha" src="{$ROOT_URL}'.CRYPTO_PATH.'securimage/securimage_show.php" alt="CAPTCHA Image" style="vertical-align:top;">
-          <a href="#" id="captcha_refresh" onclick="document.getElementById(\'captcha\').src = \'{$ROOT_URL}'.CRYPTO_PATH.'securimage/securimage_show.php?\' + Math.random(); return false">
-            <img src="{$ROOT_URL}'.CRYPTO_PATH.'template/refresh.png" style="vertical-align:bottom;"></a>
-        </td>
-        
-{footer_script}
-var captcha_code = new LiveValidation("captcha_code", {ldelim} onlyOnSubmit: true, insertAfterWhatNode: "captcha_refresh" });
-captcha_code.add(Validate.Presence, {ldelim} failureMessage: "{\'Invalid Captcha\'|@translate}" });
-{/footer_script}';
-  
-  return str_replace($search, $replace, $content);
+  return str_replace($search, $search."\n{\$CRYPTOGRAPHP}", $content);
 }
 
Index: extensions/CryptograPHP/include/contactform.tpl
===================================================================
--- extensions/CryptograPHP/include/contactform.tpl	(revision 19428)
+++ extensions/CryptograPHP/include/contactform.tpl	(revision 19428)
@@ -0,0 +1,16 @@
+</tr>     
+<tr>
+  <td class="title">
+    {if $CRYPTO.captcha_type=='string'}{'Enter code'|@translate}{else}{'Solve equation'|@translate}{/if}
+  </td>
+  <td>
+    <input type="text" name="captcha_code" id="captcha_code" size="{$CRYPTO.code_length}" maxlength="{$CRYPTO.code_length}" />
+    <img id="captcha" src="{$CRYPTO_PATH}securimage/securimage_show.php" alt="CAPTCHA Image" style="vertical-align:top;">
+    <a href="#" id="captcha_refresh" onclick="document.getElementById('captcha').src = '{$CRYPTO_PATH}securimage/securimage_show.php?'+Math.random(); return false;">
+      <img src="{$CRYPTO_PATH}template/refresh_{$CRYPTO.button_color}.png" style="vertical-align:bottom;"></a>
+  </td>
+
+{footer_script}
+var captcha_code = new LiveValidation("captcha_code", {ldelim} onlyOnSubmit: true, insertAfterWhatNode: "captcha_refresh" });
+captcha_code.add(Validate.Presence, {ldelim} failureMessage: "{'Invalid Captcha'|@translate}" });
+{/footer_script}
Index: extensions/CryptograPHP/include/guestbook.inc.php
===================================================================
--- extensions/CryptograPHP/include/guestbook.inc.php	(revision 19346)
+++ extensions/CryptograPHP/include/guestbook.inc.php	(revision 19428)
@@ -2,5 +2,5 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-load_language('plugin.lang', CRYPTO_PATH);
+include(CRYPTO_PATH.'include/common.inc.php');
 add_event_handler('loc_begin_index', 'add_crypto');
 add_event_handler('user_comment_check_guestbook', 'check_crypto', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
@@ -9,7 +9,4 @@
 {
   global $template;
-  
-  if (!is_a_guest()) return;
-  
   $template->set_prefilter('index', 'prefilter_crypto');
 }
@@ -17,17 +14,6 @@
 function prefilter_crypto($content, $smarty)
 {
-  global $conf;
-  
   $search = '{$comment_add.CONTENT}</textarea></p>';
-  $replace = $search.'
-				<p><label>{\''.($conf['cryptographp']['captcha_type']=='string'?'Enter code':'Solve equation').'\'|@translate} :</label></p>
-				<p>
-				  <img id="captcha" src="{$ROOT_URL}'.CRYPTO_PATH.'securimage/securimage_show.php" alt="CAPTCHA Image">
-				  <a href="#" onclick="document.getElementById(\'captcha\').src = \'{$ROOT_URL}'.CRYPTO_PATH.'securimage/securimage_show.php?\' + Math.random(); return false">
-				    <img src="{$ROOT_URL}'.CRYPTO_PATH.'template/refresh.png"></a>
-          <input type="text" name="captcha_code" style="width:'.$conf['cryptographp']['code_length'].'em;" maxlength="'.$conf['cryptographp']['code_length'].'" />
-				</p>';
-
-  return str_replace($search, $replace, $content);
+  return str_replace($search, $search."\n{\$CRYPTOGRAPHP}", $content);
 }
 
Index: extensions/CryptograPHP/include/picture.inc.php
===================================================================
--- extensions/CryptograPHP/include/picture.inc.php	(revision 19346)
+++ extensions/CryptograPHP/include/picture.inc.php	(revision 19428)
@@ -2,5 +2,5 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-load_language('plugin.lang', CRYPTO_PATH);
+include(CRYPTO_PATH.'include/common.inc.php');
 add_event_handler('loc_end_picture', 'add_crypto');
 add_event_handler('user_comment_check', 'check_crypto', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
@@ -9,7 +9,4 @@
 {
   global $template;
-  
-  if (!is_a_guest()) return;
-  
   $template->set_prefilter('picture', 'prefilter_crypto');
 }
@@ -17,17 +14,6 @@
 function prefilter_crypto($content, $smarty)
 {
-  global $conf;
-  
   $search = '{$comment_add.CONTENT}</textarea></p>';
-  $replace = $search.'
-				<p><label>{\''.($conf['cryptographp']['captcha_type']=='string'?'Enter code':'Solve equation').'\'|@translate} :</label></p>
-				<p>
-				  <img id="captcha" src="{$ROOT_URL}'.CRYPTO_PATH.'securimage/securimage_show.php" alt="CAPTCHA Image">
-				  <a href="#" onclick="document.getElementById(\'captcha\').src = \'{$ROOT_URL}'.CRYPTO_PATH.'securimage/securimage_show.php?\' + Math.random(); return false">
-				    <img src="{$ROOT_URL}'.CRYPTO_PATH.'template/refresh.png"></a>
-          <input type="text" name="captcha_code" style="width:'.$conf['cryptographp']['code_length'].'em;" maxlength="'.$conf['cryptographp']['code_length'].'" />
-				</p>';
-
-  return str_replace($search, $replace, $content);
+  return str_replace($search, $search."\n{\$CRYPTOGRAPHP}", $content);
 }
 
Index: extensions/CryptograPHP/include/register.inc.php
===================================================================
--- extensions/CryptograPHP/include/register.inc.php	(revision 19346)
+++ extensions/CryptograPHP/include/register.inc.php	(revision 19428)
@@ -2,5 +2,5 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-load_language('plugin.lang', CRYPTO_PATH);
+include(CRYPTO_PATH.'include/common.inc.php');
 add_event_handler('loc_end_page_header', 'add_crypto');
 add_event_handler('register_user_check', 'check_crypto');
@@ -9,5 +9,4 @@
 {
   global $template;
-
   $template->set_prefilter('register', 'prefilter_crypto');
 }
@@ -15,17 +14,6 @@
 function prefilter_crypto($content, $smarty)
 {
-  global $conf, $user;
-    
   $search = '#\(\{\'useful when password forgotten\'\|@translate\}\)(\s*)((\{/if\})?)#i';
-  $replace = '({\'useful when password forgotten\'|@translate})$1$2
-      </li>
-      <li>
-        <span class="property">
-          <label for="captcha_code">{\''.($conf['cryptographp']['captcha_type']=='string'?'Enter code':'Solve equation').'\'|@translate} <img id="captcha" src="'.CRYPTO_PATH.'securimage/securimage_show.php" alt="CAPTCHA Image"></label>
-          <a href="#" onclick="document.getElementById(\'captcha\').src = \'{$ROOT_URL}'.CRYPTO_PATH.'securimage/securimage_show.php?\' + Math.random(); return false">
-            <img src="{$ROOT_URL}'.CRYPTO_PATH.'template/refresh.png"></a>
-        </span>
-        <input type="text" id="captcha_code" name="captcha_code" size="'.($conf['cryptographp']['code_length']+1).'" maxlength="'.$conf['cryptographp']['code_length'].'" />';
-
+  $replace = '({\'useful when password forgotten\'|@translate})$1$2'."\n".'{\$CRYPTOGRAPHP}';
   return preg_replace($search, $replace, $content);
 }
Index: extensions/CryptograPHP/include/register.tpl
===================================================================
--- extensions/CryptograPHP/include/register.tpl	(revision 19428)
+++ extensions/CryptograPHP/include/register.tpl	(revision 19428)
@@ -0,0 +1,9 @@
+</li>
+<li>
+  <span class="property">
+    <label for="captcha_code">{if $CRYPTO.captcha_type=='string'}{'Enter code'|@translate}{else}{'Solve equation'|@translate}{/if} </label>
+  </span>
+  <input type="text" id="captcha_code" name="captcha_code" style="width:{$CRYPTO.code_length}em;" maxlength="{$CRYPTO.code_length}" />
+  <img id="captcha" src="{$CRYPTO_PATH}securimage/securimage_show.php" alt="CAPTCHA Image" style="vertical-align:top;">
+  <a href="#" onclick="document.getElementById('captcha').src = '{$CRYPTO_PATH}securimage/securimage_show.php?'+Math.random(); return false;">
+    <img src="{$CRYPTO_PATH}template/refresh_{$CRYPTO.button_color}.png" style="vertical-align:bottom;"></a>
Index: extensions/CryptograPHP/language/en_UK/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/en_UK/plugin.lang.php	(revision 19346)
+++ extensions/CryptograPHP/language/en_UK/plugin.lang.php	(revision 19428)
@@ -4,4 +4,5 @@
 $lang['Enter code'] = 'Enter code';
 $lang['Solve equation'] = 'Solve equation';
+$lang['Button color'] = 'Button color';
 
 $lang['Comments action'] = 'Comments action';
Index: extensions/CryptograPHP/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/fr_FR/plugin.lang.php	(revision 19346)
+++ extensions/CryptograPHP/language/fr_FR/plugin.lang.php	(revision 19428)
@@ -4,4 +4,5 @@
 $lang['Enter code'] = 'Recopiez le code';
 $lang['Solve equation'] = 'Resolvez l\'équation';
+$lang['Button color'] = 'Couleur du bouton';
 
 $lang['Comments action'] = 'Action pour les commentaires';
Index: extensions/CryptograPHP/main.inc.php
===================================================================
--- extensions/CryptograPHP/main.inc.php	(revision 19346)
+++ extensions/CryptograPHP/main.inc.php	(revision 19428)
@@ -28,15 +28,17 @@
   global $conf, $user;
   
-  // brace yourself, smartphones spammers are comming !
+  $conf['cryptographp'] = unserialize($conf['cryptographp']);
+  
+  if (!is_a_guest()) return;
   if ($user['theme'] == 'smartpocket') return;
-  
-  $conf['cryptographp'] = unserialize($conf['cryptographp']);
   
   if (script_basename() == 'register' and $conf['cryptographp']['activate_on']['register'])
   {
+    $conf['cryptographp']['template'] = 'register';
     include(CRYPTO_PATH.'include/register.inc.php');
   }
   else if (script_basename() == 'picture' and $conf['cryptographp']['activate_on']['picture'])
   {
+    $conf['cryptographp']['template'] = 'comment';
     include(CRYPTO_PATH.'include/picture.inc.php');
   }
@@ -48,4 +50,5 @@
   global $conf, $pwg_loaded_plugins, $page, $user;
   
+  if (!is_a_guest()) return;
   if ($user['theme'] == 'smartpocket') return;
   
@@ -56,12 +59,15 @@
     ) 
   {
+    $conf['cryptographp']['template'] = 'comment';
     include(CRYPTO_PATH.'include/category.inc.php');
   }
   else if ( preg_match('#contact/?$#', $_SERVER['REQUEST_URI']) and $conf['cryptographp']['activate_on']['contactform']) 
   {
+    $conf['cryptographp']['template'] = 'contactform';
     include(CRYPTO_PATH.'include/contactform.inc.php');
   }
   else if (isset($page['section']) and $page['section'] == 'guestbook' and $conf['cryptographp']['activate_on']['guestbook']) 
   {
+    $conf['cryptographp']['template'] = 'comment';
     include(CRYPTO_PATH.'include/guestbook.inc.php');
   }
Index: extensions/CryptograPHP/maintain.inc.php
===================================================================
--- extensions/CryptograPHP/maintain.inc.php	(revision 19346)
+++ extensions/CryptograPHP/maintain.inc.php	(revision 19428)
@@ -23,4 +23,5 @@
   'noise_color'     => '8a8a8a', 
   'ttf_file'        => 'TopSecret',
+  'button_color'    => 'dark',
 )));
 
@@ -59,4 +60,9 @@
       conf_update_param('cryptographp', serialize($conf['cryptographp']));
     }
+    if (!isset($conf['cryptographp']['button_color']))
+    {
+      $conf['cryptographp']['button_color'] = 'dark';
+      conf_update_param('cryptographp', serialize($conf['cryptographp']));
+    }
   }
 }
Index: extensions/CryptograPHP/securimage/securimage_preview.php
===================================================================
--- extensions/CryptograPHP/securimage/securimage_preview.php	(revision 19346)
+++ extensions/CryptograPHP/securimage/securimage_preview.php	(revision 19428)
@@ -8,4 +8,5 @@
 
 if (!is_admin()) die('Hacking attempt!');
+
 
 $temp_conf = array(
@@ -24,4 +25,5 @@
   );
 
+  
 // randomize colors
 function randomColor()
@@ -40,4 +42,5 @@
   if ($temp_conf[$color] == 'random') $temp_conf[$color] = randomColor();
 }
+
 
 require_once dirname(__FILE__) . '/securimage.php';
Index: extensions/CryptograPHP/securimage/securimage_show.php
===================================================================
--- extensions/CryptograPHP/securimage/securimage_show.php	(revision 19346)
+++ extensions/CryptograPHP/securimage/securimage_show.php	(revision 19428)
@@ -44,10 +44,7 @@
  */
 
-// error_reporting(E_ALL); ini_set('display_errors', 1); // uncomment this line for debugging
-
 define('PHPWG_ROOT_PATH','../../../');
 include_once(PHPWG_ROOT_PATH.'include/common.inc.php');
 
-// $conf['cryptographp'] = unserialize($conf['cryptographp']);
 
 // randomize colors
@@ -67,4 +64,5 @@
   if ($conf['cryptographp'][$color] == 'random') $conf['cryptographp'][$color] = randomColor();
 }
+
 
 require_once dirname(__FILE__) . '/securimage.php';
Index: extensions/CryptograPHP/template/admin.tpl
===================================================================
--- extensions/CryptograPHP/template/admin.tpl	(revision 19346)
+++ extensions/CryptograPHP/template/admin.tpl	(revision 19428)
@@ -29,4 +29,12 @@
     });
   
+  // change button
+  $('.button').click(function() {
+    $('.button').removeClass('selected');
+    $(this).addClass('selected');
+    $('input[name=button_color]').val($(this).attr('title'));
+    $('#reload').attr('src', '{/literal}{$CRYPTO_PATH}{literal}template/refresh_'+ $(this).attr('title') +'.png');
+  });
+  
   // apply a preset
   $('.preset').click(function() {
@@ -53,5 +61,5 @@
     changePreview();
   });
-  $('#captcha').click(function() {
+  $('#reload').click(function() {
     changePreview();
   });
@@ -109,10 +117,10 @@
 {/foreach}
 
-.preset img {ldelim}
+.preset img, .button img {ldelim}
   margin:1px;
   padding:3px;
   border:1px solid #999;
 }
-.preset.selected img {ldelim}
+.preset.selected img, .button.selected img {ldelim}
   border-color:#f70;
 }
@@ -163,4 +171,12 @@
       <span class="property">{'Height'|@translate}</span>
       <label><input type="text" name="height" class="preview" value="{$crypto.height}" size="6" maxlength="3"> {'good value:'|@translate} lenght&times;12</label>
+    </li>
+    <li>
+      <span class="property">{'Button color'|@translate}</span>
+      <div style="display:relative;margin-left:51%;">
+        <a class="button {if $crypto.button_color == 'dark'}selected{/if}" title="dark"><img src="{$CRYPTO_PATH}template/refresh_dark.png" alt="dark"></a>
+        <a class="button {if $crypto.button_color == 'light'}selected{/if}" title="light"><img src="{$CRYPTO_PATH}template/refresh_light.png" alt="light"></a>
+        <input type="hidden" name="button_color" value="{$crypto.button_color}">
+      </div>
     </li>
     <li>
@@ -219,9 +235,4 @@
         </div>
       </li>
-      
-      <li>
-        <span class="property">{'Preview'|@translate}</span>
-        <label><img id="captcha" src="{$CRYPTO_PATH}securimage/securimage_show.php" alt="CAPTCHA Image"></label>
-      </li>
     </ul>
     
@@ -229,4 +240,12 @@
   </fieldset>
   
+  <ul style="margin-top:30px;">
+    <li>
+      <span class="property">{'Preview'|@translate}</span>
+      <img id="captcha" src="{$CRYPTO_PATH}securimage/securimage_show.php" alt="CAPTCHA Image">
+      <a href="#" onClick="return false;"><img id="reload" src="{$CRYPTO_PATH}template/refresh_{$crypto.button_color}.png"></a>
+    </li>
+  </ul>
+  
 </fieldset>
 <p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit"></p>