Index: /branches/2.4/language/lt_LT/about.html
===================================================================
--- /branches/2.4/language/lt_LT/about.html	(revision 19435)
+++ /branches/2.4/language/lt_LT/about.html	(revision 19435)
@@ -0,0 +1,13 @@
+<p>Ši nuotraukų galerija yra sukurta naudojant Piwigo.</p>
+
+<p>Piwigo yra nuotraukų galerijos programinė įranga skirta puslapiams, sukurta aktyvių narių bendruomenių ir kurėjų.
+ Plėtiniai padaro Piwigo  visiems lengvai pritaikoma. Ji yra visiškai nemokama.</p>
+
+<p id="linkToPiwigo"><a href="http://piwigo.org">Apsilankykite Piwigo internetinėje svetainėje</a></p>
+
+<p>Vertimas į lietuvių  sutvarkytas pagal (vardai abecelės tvarka)
+
+    <ul>
+        <li><a href="http://piwigo.org/forum/profile.php?id=17714">Giedrelis</a></li>
+    </ul>
+Labai ačiū vertėjams!</p>
Index: /branches/2.4/language/lt_LT/common.lang.php
===================================================================
--- /branches/2.4/language/lt_LT/common.lang.php	(revision 19435)
+++ /branches/2.4/language/lt_LT/common.lang.php	(revision 19435)
@@ -0,0 +1,400 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+/*
+Language Name: Lietuviu [LT]
+Version: 2.4.0
+Language URI: http://piwigo.org/ext/extension_view.php?eid=648
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
+
+$lang_info['language_name'] = 'Lietuvių';
+$lang_info['country'] = 'Lietuva';
+$lang_info['direction'] = 'ltr';
+$lang_info['code'] = 'lt';
+$lang_info['zero_plural'] = true;
+
+
+$lang['%d album updated'] = '%d albumas atnaujintas';
+$lang['%d albums updated'] = '%d albumai atnaujinti';
+$lang['%d comment to validate'] = '%d patvirtinti komentarà ';
+$lang['%d comment'] = '%d komentuoti';
+$lang['%d comments to validate'] = '%d patvirtinti komentarus';
+$lang['%d comments'] = '%d komentarai(-ų)';
+$lang['%d hit'] = '%d paspaudimas';
+$lang['%d hits'] = '%d paspaudimai';
+$lang['%d Kb'] = '%d Kb';
+$lang['%d new comment'] = '%d naujas komentaras';
+$lang['%d new comments'] = '%d nauji komentarai';
+$lang['%d new photo'] = '%d nauja nuotrauka';
+$lang['%d new photos'] = '%d naujos nuotraukos';
+$lang['%d new user'] = '%d naujas narys';
+$lang['%d new users'] = '%d nauji nariai';
+$lang['%d photo is also linked to current tags'] = '%d nuotrauka taip pat yra susijusi su dabartinėmis žymomis';
+$lang['%d photo'] = '%d nuotrauka';
+$lang['%d photos are also linked to current tags'] = '%d nuotraukos taip pat siejamos su dabartinėmis žymomis';
+$lang['%d photos'] = '%d nuotraukos(-ų)';
+$lang['%d rates'] = '%d reitingai';
+$lang['(!) This comment requires validation'] = '(!) Šiam komentarui reikia patvirtinimo';
+$lang['... or browse your empty gallery'] = '... arba ieŠkoti tuŠčios galerijos';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... arba prašome išjungti ššį pranešimą, aš rasiu pats';
+$lang['A comment on your site'] = 'Komenentaras svetainėje';
+$lang['About Piwigo'] = 'Apie Piwigo';
+$lang['About'] = 'Apie';
+$lang['All tags'] = 'Visos žymos';
+$lang['Any tag'] = 'Betkokia žyma';
+$lang['At least one listed rule must be satisfied.'] = 'Bent vienas iŠ iŠvardytų kriterijų, turi būti patenkintas.';
+$lang['At least one tag must match'] = "Turi atitikti bent vien&#260; &#382;ym&#281;";
+$lang['Author'] = "Autorius";
+$lang['Average rate'] = "Reiting&#371; vidurkis";
+$lang['Categories'] = "Kategorijos";
+$lang['Category'] = "Kategorija";
+$lang['Close this window'] = 'Uždaryti ŠitĄ langĄ';
+$lang['Complete RSS feed (images, comments)'] = "Baigta RSS feed (nuotraukos, komentarai)";
+$lang['Confirm Password'] = 'Pakartokite slaptažodį';
+$lang['Connection settings'] = "Prisijungimo nustatymai";
+$lang['Login'] = "Prisijungti";
+$lang['Contact webmaster'] = "Susisiekti su administratoriumi";
+$lang['Create a new account'] = 'Sukurti naują paskyrą';
+$lang['Created on'] = "Sukurta";
+$lang['Creation date'] = "Sukurimo data";
+$lang['Current password is wrong'] = 'Blogas slaptažodis';
+$lang['Dimensions'] = "Matmenys";
+$lang['Display'] = "Parodyti";
+$lang['Each listed rule must be satisfied.'] = "Kiekvienas pateiktas kriterijus turi b&#363;ti patenkintas.";
+$lang['Email address'] = 'Elektroninio pašto adresas';
+$lang['Enter your personnal informations'] = 'Įveskite savo asmeninius duomenis';
+$lang['Error sending email'] = 'Klaida siunčiant laišką nurodytu elektroninio pašto adresu';
+$lang['File name'] = "Failo vardas";
+$lang['File'] = "Failas";
+$lang['Filesize'] = "Failo dydis";
+$lang['Filter and display'] = "Filtras ir ekranas";
+$lang['Filter'] = "Filtras";
+$lang['Forgot your password?'] = 'Blogas slaptažodis?';
+$lang['Go through the gallery as a visitor'] = 'Naršyti galerijoje kaip svečias';
+$lang['Help'] = "Pagalba";
+$lang['Identification'] = "Identifikacija";
+$lang['Image only RSS feed'] = "Nuotraukos tik RSS feed";
+$lang['Keyword'] = 'Raktažodis';
+$lang['Links'] = "Nuorodos";
+$lang['Mail address'] = "Elektroninio pa&#352;to adresas";
+$lang['N/A'] = "N/A";
+$lang['New on %s'] = "Naujas %s";
+$lang['New password confirmation does not correspond'] = "Naujo slapta&#382;od&#382;io patvirtinimas nesutampa";
+$lang['New password sent by email'] = "Naujas spalta&#382;odis i&#353;si&#371;stas &#303; elektronin&#303; pa&#353;t&#261;";
+$lang['No email address'] = "N&#279;ra elektroninio pa&#353;to adreso";
+$lang['No classic user matches this email address'] = "Netinkamas elektroninio pa&#352;to adresas";
+$lang['Notification'] = 'Pranešimas';
+$lang['Number of items'] = 'Vienetų skaičius';
+$lang['Original dimensions'] = 'Orginalūs matmenys';
+$lang['Password forgotten'] = 'PamirŠote slaptažodį';
+$lang['Password'] = 'Slaptažodis';
+$lang['Post date'] = "Publikavimo data";
+$lang['Posted on'] = "Paskelbta";
+$lang['Profile'] = "Prifilis";
+$lang['Quick connect'] = "Greitas prisijungimas";
+$lang['RSS feed'] = "RSS feed";
+$lang['Rate'] = "&#303;vertinti";
+$lang['Register'] = "Registruotis";
+$lang['Registration'] = "Registracija";
+$lang['Related tags'] = 'Susijusios žymos';
+$lang['Reset'] = "Perkrauti";
+$lang['Retrieve password'] = 'Atkurti slaptažodį';
+$lang['Search rules'] = 'Ieškoti kriterijų';
+$lang['Search tags'] = 'Ieškoti žymų';
+$lang['Search'] = 'Ieškoti';
+$lang['See available tags'] = "&#382;i&#363;r&#279;ti naujas &#382;ymas";
+$lang['Send new password'] = "Si&#371;sti nauja slapta&#382;od&#303;";
+$lang['Since'] = "Nuo";
+$lang['Sort by'] = 'Rūšiavimas pagal';
+$lang['Sort order'] = 'Rūšiavimo tvarka';
+$lang['Tag'] = 'Žyma';
+$lang['Tags'] = 'Žymos';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = "The RSS feed teikia prane&#352;imus apie naujus ivykius i&#352; &#352;ios svetaines: naujas nuotraukos, atnaujintas kategorijas, naujus komentarus. Turi buti naudojami su RSS skaitytuvu.";
+$lang['Unknown feed identifier'] = 'Nežinomas identifikatorius';
+$lang['User comments'] = "Nario komentarai";
+$lang['Username'] = "Prisijungimo vardas";
+$lang['Visits'] = 'Apsilankymų';
+$lang['Webmaster'] = "Moderatorius";
+$lang['Week %d'] = 'Savaičių %d';
+$lang['About Piwigo'] = "Apie Piwigo";
+$lang['You are not authorized to access the requested page'] = 'Jūs neturite leidomo pasiekti norimĄ puslapį';
+$lang['add to caddie'] = "D&#279;ti &#303; krep&#352;el&#303;";
+$lang['add this image to your favorites'] = "&#303;traukti &#352;i&#260; nuotrauk&#260; &#303; m&#279;gstamiausias";
+$lang['Administration'] = "Administracija";
+$lang['Adviser mode enabled'] = "Patar&#279;jo re&#382;imas &#303;jungtas";
+$lang['all'] = "visi";
+$lang['ascending'] = 'didėjimo tvarka';
+$lang['author(s) : %s'] = "autorius : %s";
+$lang['Expand all categories'] = "I&#352;pl&#279;sti visas kategorijas";
+$lang['posted after %s (%s)'] = "paskelbta po %s (%s)";
+$lang['posted before %s (%s)'] = 'paskelbta prieŠ %s (%s)';
+$lang['posted between %s (%s) and %s (%s)'] = "paskelbta tarp %s (%s) ir %s (%s)";
+$lang['posted on %s'] = "paskelbta %s";
+$lang['Best rated'] = 'Geriausia įvertintos';
+$lang['display best rated items'] = "rodyti geriausia &#303;vertintas nuotraukas";
+$lang['caddie'] = "Krep&#352;elis";
+$lang['Calendar'] = "Kalendorius";
+$lang['All'] = "Visos";
+$lang['display each day with pictures, month per month'] = "rodyti kiekviena diena su nuotraukomis, menesio per menes&#303;";
+$lang['View'] = "Rodyti";
+$lang['chronology_monthly_calendar'] = "Menesio kalendorius";
+$lang['chronology_monthly_list'] = 'Mėnesio sĄraŠas';
+$lang['chronology_weekly_list'] = 'Savaitės sĄraŠas';
+$lang['Click here if your browser does not automatically forward you'] = 'Spauskite čia, jei jūsų narŠyklė neužkrovė automatiŠkai';
+$lang['comment date'] = "pakomentavo";
+$lang['Comment'] = "Komentuoti";
+$lang['Your comment has been registered'] = 'Tavo komentaras užregistruotas';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood sistema: praŠome šŠiek tiek palaukti prieŠ bandant raŠyti kitĄ komentarĄ';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Jūsų komentaras nebuvo užregistruotas, nes neatitiko komentavimo taisyklių';
+$lang['An administrator must authorize your comment before it is visible.'] = 'Administratorius privalo patvirtinti tavo komentarĄ, kol jis tampa matomas.';
+$lang['This login is already used by another user'] = 'Šis prisijungimo vardas jau naudojamas';
+$lang['Comments'] = "Komentarai";
+$lang['Add a comment'] = 'Rašyti komentarą';
+$lang['created after %s (%s)'] = "sukurtas po %s (%s)";
+$lang['created before %s (%s)'] = 'sukurtas prieš %s (%s)';
+$lang['created between %s (%s) and %s (%s)'] = "sukurta tarp %s (%s) ir %s (%s)";
+$lang['created on %s'] = "sukurta %s";
+$lang['Customize'] = "Nustatymai";
+$lang['Your Gallery Customization'] = 'Jūsų galerijos nustatymai';
+$lang['day'][0] = "Sekmadienis";
+$lang['day'][1] = "Pirmadienis";
+$lang['day'][2] = "Antradienis";
+$lang['day'][3] = "Tre&#269;iadienis";
+$lang['day'][4] = "Ketvirtadienis";
+$lang['day'][5] = "Penktadienis";
+$lang['day'][6] = "&#352;e&#353;tadienis";
+$lang['Default'] = "Numatyta";
+$lang['delete this image from your favorites'] = "i&#353;trinti &#353;i&#261; nuotrauk&#261; i&#353; megstamiausi&#371; s&#261;ra&#353;o";
+$lang['Delete'] = 'Ištrinti';
+$lang['descending'] = 'mažėjančia';
+$lang['download'] = "si&#371;stis";
+$lang['download this file'] = "si&#371;sti &#353;&#303; fail&#261;";
+$lang['edit'] = "redaguoti";
+$lang['wrong date'] = "bloga data";
+$lang['excluded'] = "atmesti";
+$lang['My favorites'] = "Mano m&#279;gstamiausi";
+$lang['display my favorites pictures'] = "rodyti mano m&#279;gstamiausias nuotraukas";
+$lang['Favorites'] = 'Mėgstamiausios';
+$lang['First'] = "Pirmas";
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Galerija yra uždaryta profilaktikai. PraŠome pabandyti vėliau.';
+$lang['Page generated in'] = "Puslapis atidarytas per";
+$lang['guest'] = 'svečias';
+$lang['Hello'] = "Sveiki";
+$lang['available for administrators only'] = "tik administracijai";
+$lang['shows images at the root of this category'] = "Rodyti nuotraukas vir&#352;uje";
+$lang['See last users comments'] = "Rodyti paskutinius komentarus";
+$lang['customize the appareance of the gallery'] = 'redaguoti galerijos iŠvaizdą';
+$lang['search'] = 'ieŠkoti';
+$lang['Home'] = "Namai";
+$lang['Identification'] = "Identifikacija";
+$lang['in this category'] = "&#352;ioje kategorijoje";
+$lang['in %d sub-category'] = "&#352;ioje %d sub-kategorijoje";
+$lang['in %d sub-categories'] = "&#352;iose %d sub-kategorijose";
+$lang['included'] = 'įskaitant';
+$lang['Invalid password!'] = 'Blogas slaptažodis!';
+$lang['Language'] = "Kalba";
+$lang['last %d days'] = "paskutines %d dienas";
+$lang['Last'] = "Paskutinis";
+$lang['Logout'] = "Atsijungti";
+$lang['E-mail address'] = "Elektroninio pa&#352;to adresas";
+$lang['obligatory'] = "privalomas";
+$lang['Maximum height of the pictures'] = "Maksimalus nuoraukos auk&#352;tis";
+$lang['Maximum height must be a number superior to 50'] = "Maksimalus auk&#352;tis, skai&#269;ius turi b&#363;ti didesnis nei 50";
+$lang['Maximum width of the pictures'] = "Maksimalus nuoraukos plotis";
+$lang['Maximum width must be a number superior to 50'] = "Maksimalus plotis, skai&#269;ius turi b&#363;ti didesnis nei 50";
+$lang['display a calendar by creation date'] = 'rodyti kalendoriu pagal sukurimo datą';
+$lang['display all elements in all sub-categories'] = "rodyti visas nuotraukas i&#352; vis&#371; kategorij&#371;";
+$lang['return to normal view mode'] = 'grįžti į normalų peržiūros režimą';
+$lang['display a calendar by posted date'] = 'rodyti kalendorių patalpinimo datą';
+$lang['month'][10] = "Spalis";
+$lang['month'][11] = "Lapkritis";
+$lang['month'][12] = "Gruodis";
+$lang['month'][1] = "Sausis";
+$lang['month'][2] = "Vasaris";
+$lang['month'][3] = "Kovas";
+$lang['month'][4] = "Balandis";
+$lang['month'][5] = "Gegu&#382;&#279;";
+$lang['month'][6] = "Bir&#382;elis";
+$lang['month'][7] = "Liepa";
+$lang['month'][8] = "Rugpj&#363;tis";
+$lang['month'][9] = "Rugs&#279;jis";
+$lang['Most visited'] = 'Daugiausia žiūrimos';
+$lang['display most visited pictures'] = "display most visited pictures";
+$lang['The number of images per row must be a not null scalar'] = "Nuotrauk&#371; eilu&#269;i&#371; skai&#269;ius neturiu b&#363;ti nulis";
+$lang['Number of images per row'] = "Nuotrauk&#371; eiliu&#269;i&#371; skai&#269;ius";
+$lang['The number of rows per page must be a not null scalar'] = "Nuotrauk&#371; skai&#269;ius puslapyje neturi b&#363;ti lygus nuliui";
+$lang['Number of rows per page'] = "Eilu&#269;iu skai&#269;ius puslapyje";
+$lang['Unknown identifier'] = 'Nežinomas ifentifikatorius';
+$lang['New password'] = 'Naujas slaptažodis';
+$lang['Rate this picture'] = "&#303;vertinti &#352;i&#261; nuotrauk&#261;";
+$lang['Next'] = "Kita";
+$lang['no rate'] = 'nėra įvertinimų';
+$lang['Elements posted within the last %d day.'] = "Paskelbti per paskutn&#281; %d dien&#261;.";
+$lang['Elements posted within the last %d days.'] = "Paskelbti per paskutnes %d dienas.";
+$lang['password updated'] = 'slaptažodis atnaujintas';
+$lang['Recent period must be a positive integer value'] = "Naujausias laikotarpis turi buti teigiamas sveikasis skaicius";
+$lang['picture'] = "nuotrauka";
+$lang['Click on the picture to see it in high definition'] = "Spauskite ant nuotraukos, nor&#279;dami j&#261; pamatyti did&#382;iausia rai&#352;ka";
+$lang['Show file metadata'] = "Rodyti failo duomenis";
+$lang['Powered by'] = "Sukurta";
+$lang['Preferences'] = "Nustatymai";
+$lang['Previous'] = "Atgal";
+$lang['Random pictures'] = "Atsitiktin&#279;s nuotraukos";
+$lang['display a set of random pictures'] = "Rodyti atsitiktini&#371; nuotrauk&#371; rinkin&#303;";
+$lang['Recent categories'] = "Naujausios kategorijos";
+$lang['display recently updated categories'] = "Rodyti neseniai atnaujintas kategorijas";
+$lang['Recent period'] = "Paskutinis laikotarpis";
+$lang['Recent pictures'] = "Naujausios nuotraukos";
+$lang['display most recent pictures'] = "rodyti naujausias nuotraukas";
+$lang['Redirection...'] = "Nukreipiama...";
+$lang['Please, enter a login'] = 'įraŠykite prisijungimo vardą';
+$lang['login mustn\'t end with a space character'] = "Prisijungimo vardas negali baigtis tarpu";
+$lang['login mustn\'t start with a space character'] = "Prisijungimo vardas negali prasideti tarpu";
+$lang['this login is already used'] = 'Šis prisijungimo vardas jau naudojamas';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'Elektroninio paŠto adresas turi būti toks: xxx@yyy.eee (pavyzdys : jack@altern.org)';
+$lang['please enter your password again'] = 'Pakartokite savo slaptažodį';
+$lang['Auto login'] = "Automatinis prisijungimas";
+$lang['remove this tag from the list'] = 'iŠtrinti Šią žymą iŠ Šio sąraŠo';
+$lang['representative'] = "atstovauti";
+$lang['return to homepage'] = "Gri&#382;ti &#303; pradin&#303; puslap&#303;";
+$lang['Search for Author'] = 'IeŠkoti pagal autorių';
+$lang['Search in Categories'] = "Ie&#352;koti kategorijose";
+$lang['Search by Date'] = "Ie&#352;koti pagal data";
+$lang['Date'] = "Data";
+$lang['End-Date'] = "Pabaigos data";
+$lang['Kind of date'] = 'RuŠies data';
+$lang['Search for words'] = 'IeŠkoti žodžių';
+$lang['Search for all terms'] = 'IeŠkoti visu žodžių';
+$lang['Search for any terms'] = "Ie&#352;koti betkoki&#371; &#382;od&#382;i&#371;";
+$lang['Empty query. No criteria has been entered.'] = 'Tušcia užklausa. Nėra kriterijų';
+$lang['Search Options'] = "Paie&#352;kos nustatymai";
+$lang['Search results'] = 'PaieŠkos rezultatai';
+$lang['Search in subcategories'] = "Ie&#352;koti sub-ketegorijose";
+$lang['searched words : %s'] = 'ieŠkoti žodžiai : %s';
+$lang['Contact'] = "Kontaktai";
+$lang['set as category representative'] = "nustatyti kategorij&#261;";
+$lang['Show number of comments'] = 'Rodyti kiek yra komentarų';
+$lang['Show number of hits'] = "Rodyti paspaudimus";
+$lang['slideshow'] = 'skaidrių žiūrėjimas';
+$lang['stop the slideshow'] = "stop the slideshow";
+$lang['Specials'] = "Specials";
+$lang['SQL queries in'] = "SQL queries in";
+$lang['display only recently posted images'] = "rodyti tik neseniai paskelbtas vaizdus";
+$lang['return to the display of all images'] = "gr&#303;&#382;ti prie vis&#371; nuotrauk&#371;";
+$lang['the beginning'] = 'pradžia';
+$lang['Interface theme'] = "Dizainas";
+$lang['Thumbnails'] = "Nuotraukytes";
+$lang['Menu'] = "Meniu";
+$lang['A comment on your site'] = "Komenentaras svetain&#279;je";
+$lang['today'] = 'Šiandien';
+$lang['Update your rating'] = "Atnaujinti savo ivertinimus";
+$lang['wrong filename'] = "blogas failo vardas";
+$lang['the filesize of the picture must not exceed :'] = "Nuotraokos dydis neturi vir&#352;yti :";
+$lang['the picture must be to the fileformat jpg, gif or png'] = "nuotraukos formatas privalo b&#363;ti: jpg, gif arba png";
+$lang['the height of the picture must not exceed :'] = "nuotraukos auk&#352;tis neturi vir&#352;yti :";
+$lang['Optional, but recommended : choose a thumbnail to associate to'] = "Neprivaloma, bet rekomenduojama pasirinkt&#261; miniatiur&#261; susieti";
+$lang['the width of the picture must not exceed :'] = "nuotraukos plotis neturi vir&#352;yti :";
+$lang['can\'t upload the picture on the server'] = "nuotrauka negali b&#363;ti &#303;kelta";
+$lang['the username must be given'] = "reikalingas slapyvardis";
+$lang['A picture\'s name already used'] = "&#352;is nuotraukos pavadinimas jau naudojamas";
+$lang['You must choose a picture fileformat for the image'] = "turite pasirinkti nuotraukos format&#261; i&#352;špaveikslelio";
+$lang['Name of the picture'] = "Nuotraukos pavadinimas";
+$lang['Upload a picture'] = "&#303;kelti nuotrauka";
+$lang['Picture uploaded with success, an administrator will validate it as soon as possible'] = "Nuotrauka &#303;kelta s&#279;kmingai, administratorius kuo greiciau j&#261; patvirtins.";
+$lang['Upload a picture'] = "&#303;kelti nuotrauka";
+$lang['useful when password forgotten'] = 'naudinga tuo atveju, jei slaptažodi pamirŠote';
+$lang['Quick search'] = "Greita paieska";
+$lang['Connected user: %s'] = 'Prisijungę vartotojai: %s';
+$lang['IP: %s'] = "IP: %s";
+$lang['Browser: %s'] = 'NarŠyklė: %s';
+$lang['Author: %s'] = "Autorius: %s";
+$lang['Comment: %s'] = "Komentaras: %s";
+$lang['Comment by %s'] = "Komentavo %s";
+$lang['User: %s'] = "Slapyvardis: %s";
+$lang['Email: %s'] = "Email: %s";
+$lang['Admin: %s'] = "Administratorius: %s";
+$lang['Registration of %s'] = "Registracija %s";
+$lang['Category: %s'] = "Kategorija: %s";
+$lang['Picture name: %s'] = "Nuotraukos pavadinimas: %s";
+$lang['Creation date: %s'] = "Suk&#363;rimo data: %s";
+$lang['Waiting page: %s'] = "Laukia puslapio: %s";
+$lang['Picture uploaded by %s'] = "Nuotrauk&#261; ik&#279;l&#279; %s";
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Blogas vartotojo statusas "guest", numatytoji busena bus naudojama. PraŠome praneŠti apie tai administratoriui.';
+$lang['Administrator, webmaster and special user cannot use this method'] = "Tik administratorius, moderatorius ir specialus vartotojai gali naudoti &#352;&#303; metod&#261;";
+$lang['a user use already this mail address'] = "Kitas narys jau vartoja &#352;&#303; elektronin&#303; pa&#352;to adres&#261;";
+$lang['Category results for'] = "Kategorij&#371; rezultatai";
+$lang['Tag results for'] = 'žymų rezultatai';
+$lang['from %s to %s'] = "nuo %s iki %s";
+$lang['Play of slideshow'] = "Rodyti skaidres";
+$lang['Pause of slideshow'] = "Sustabdyti";
+$lang['Repeat the slideshow'] = "Kartoti skaidres";
+$lang['Not repeat the slideshow'] = 'Nekartoti nuotraukų';
+$lang['Reduce diaporama speed'] = 'Sulėtinti perjungimą';
+$lang['Accelerate diaporama speed'] = 'Pagreitinti perjungimą';
+$lang['Submit'] = "Patvirtinti";
+$lang['Yes'] = "Taip";
+$lang['No'] = "Ne";
+$lang['%d image'] = "%d nuotrauka";
+$lang['%d images'] = "%d nuotraukos";
+$lang['%d image is also linked to current tags'] = "%d nuotrauka yra taip pat susijusi su &#352;iomis &#382;ymomis";
+$lang['%d images are also linked to current tags'] = "%d nuotraukos yra taip pat susije su &#352;iomis &#382;ymomis";
+$lang['See images linked to this tag only'] = "&#382;i&#363;reti nuotraukas susijusias su &#352;ia &#382;yma";
+$lang['images posted during the last %d days'] = "nuotraukos &#303;keltos per paskutines %d dienas";
+$lang['Choose an image'] = "Pasirinkti nuotrauk&#261;";
+$lang['Piwigo Help'] = "Piwigo pagalba";
+$lang['Rank'] = 'įvertinimas';
+$lang['group by letters'] = 'grupuoti pagal abecelę';
+$lang['letters'] = 'raidės';
+$lang['show tag cloud'] = 'rodyti žymų debesį';
+$lang['cloud'] = "debesis";
+$lang['Reset to default values'] = "Nustatyti numatytuosius nustatymus";
+$lang['delete all images from your favorites'] = "i&#352;trinti visas nuotraukas i&#352; m&#279;gstamiausi&#371;";
+$lang['Sent by'] = 'IŠsiūsta';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Slapukai yra blokuojami arba nepalaikomi jūsų narŠyklėje. Jūs turite įgalinti slapukus prisijungdami';
+
+$lang['Some info about this picture'] = "Informacija apie &#352;i&#261; nuotrauk&#261;";
+$lang['Some more (technical) info about this picture'] = "Daugiau informacijos apie &#352;i&#261; nuotrauk&#261;";
+$lang['edit this comment'] = "Redaguoti &#352;&#303; komentar&#261;";
+$lang['Edit a comment'] = 'Redaguoti komentarą';
+$lang['Are you sure?'] = "Ar esi tikras?";
+$lang['(!) This comment requires validation'] = '(!) &#352;iam komentarui reikia patvirtinimo';
+$lang['Welcome'] = 'Sveiki';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Sveiki atvykę į Piwigo nuotraukų galeriją!';
+$lang['... or browse your empty gallery'] = '... arba ie&#352;koti tu&#352;&#269;ios galerijos';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... arba pra&#353;ome i&#353;jungti š&#353;&#303; prane&#353;im&#261;, a&#353; rasiu pats';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Sveika(-as) %s, Tavo Piwigo galerija yra tuŠčia!';
+$lang['I want to add photos'] = 'Patalpinti nuotraukas';
+$lang['Manage this user comment: %s'] = 'Redaguoti Šio žmogaus komentarą: %s';
+$lang['Email address is missing. Please specify an email address.'] = 'NeįraŠytas elekroninio paŠto adresas. PraŠome jį nurodyti.';
+$lang['This author modified following comment:'] = 'Autorius pakeitė Šį komentarą:';
+$lang['This author removed the comment with id %d'] = 'šis autorius ištrinė komentarą, kurio id yra %d';
+$lang['delete this comment'] = "i&#353;trinti komentar&#261;";
+$lang['validate this comment'] = 'patvirtinti komentar&#261;';
+$lang['month']['8'] = 'Rugpjūtis';
+$lang['month']['9'] = 'Rugsėjis';
+$lang['month']['5'] = 'Gegužė';
+$lang['month']['6'] = 'Birželis';
+$lang['day']['3'] = 'Trečiadienis';
+$lang['day']['6'] = 'Šeštadienis';
+?>
Index: /branches/2.4/language/lt_LT/iso.txt
===================================================================
--- /branches/2.4/language/lt_LT/iso.txt	(revision 19435)
+++ /branches/2.4/language/lt_LT/iso.txt	(revision 19435)
@@ -0,0 +1,1 @@
+Lietuvių [LT]