Index: /trunk/language/bg_BG/admin.lang.php
===================================================================
--- /trunk/language/bg_BG/admin.lang.php	(revision 19457)
+++ /trunk/language/bg_BG/admin.lang.php	(revision 19458)
@@ -642,3 +642,49 @@
 $lang['Dissociate from album'] = 'Разграничаване от албум';
 $lang['Dissociated'] = 'Разграничаване';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Времето за изпълнение изтече,обработването трябва да продължи [Приблизително време: %d секунди].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Времето за изпълнение е просрочено,обработването трябва да продължи [Приблизително време: %d секунди].';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Сайтът предлага разглеждане на галерии,създаване на албуми и качване на снимки.';
+$lang['File/directory read error'] = 'Файлът/директорията не може да бъде прочетен.';
+$lang['Find a new representant by random'] = 'Изберете на случаен принцип нова икона за албума си.';
+$lang['Follow Orientation'] = 'Следвай ориентацията';
+$lang['Forbid this language to users'] = 'Забранете този език за потребителите';
+$lang['Forbid this theme to users'] = 'Забранете тази тема за потребителите';
+$lang['Get Support on Piwigo Forum'] = 'Получете помощ от форума Piwigo ';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Дайте права (chmod 777)на инсталационната директория "%s" на Piwigo';
+$lang['Go to %s or %s for more informations'] = 'Отидете %s или %s за повече информация';
+$lang['Dump Database'] = 'Изхвърляне на базата данни';
+$lang['Extensions Update'] = 'Extensions Актуализация';
+$lang['Failed to write file to disk'] = 'Записът на файла е неуспешен!';
+$lang['I decide to update anyway'] = 'Искам да ъпдейтна въпреки всичко';
+$lang['Inactive Languages'] = 'Неактивни езици';
+$lang['Inactive Plugins'] = 'Неактивни плъини';
+$lang['Inactive Themes'] = 'Активни плъгини';
+$lang['Installed Themes'] = 'Инсталирани теми';
+$lang['Instructions to use Piwigo'] = 'Инструкций за ползване на Piwigo';
+$lang['Landscape'] = 'Пейзажи';
+$lang['Language has been successfully installed'] = 'Език е инсталиран успешно';
+$lang['Languages which need upgrade'] = 'Езици, които се нуждаят от ъпгрейд';
+$lang['Extend for templates'] = 'Разширяване на шаблони';
+$lang['File upload stopped by extension'] = 'Качване на файлове спряни от разширение';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Плъгините може да не са съвместими с новата версия на Piwigo:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Следните теми не може да бъде съвместими с новата версия на Piwigo:';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'За размери на снимки, като "Квадрат", Piwigo ще направи всичко възможно да се включи центъра на интереса.';
+$lang['Grant selected groups'] = 'Избрани големи групи';
+$lang['Do you want to activate anyway?'] = 'Искате ли да активирате така или иначе?';
+$lang['Does not represent'] = 'Не е ли картинка за';
+$lang['Drag to re-order'] = 'Щракнете и плъзнете, за да пренаредите';
+$lang['Duplicate'] = 'Дубликат';
+$lang['Duplicate selected tags'] = 'Дублиране на избраните тагове';
+$lang['Duplicates'] = 'Дублиране';
+$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ГРЕШКА: Този плъгин липсва, но е инсталиран!Деинсталирайте сега.';
+$lang['Element type'] = 'Тип елемент';
+$lang['Email administrators when a comment is deleted'] = 'Имейл на администраторите, когато коментарът е изтрит';
+$lang['Email administrators when a comment is modified'] = 'Имейл на администраторите, когато е променен коментар';
+$lang['Email admins when a comment requires validation'] = 'Имейл на администраторите когато коментар изисква одобрение';
+$lang['Email admins when a new user registers'] = 'Имейл на администраторите, когато нов потребител се регистрира';
+$lang['Email admins when a valid comment is entered'] = 'Имейл администраторите, когато се вписва валиден коментар';
+$lang['Environment'] = 'Околна среда';
+$lang['Error on file "%s" : %s'] = 'Грешка на файла "%s" : %s';
+$lang['Error when sending email to %s [%s].'] = 'Грешка при изпращане на електронна поща %s [%s].';
+$lang['Errors caption'] = 'Грешки легенди';
 ?>